*COMDECK  HISTORY - UPDATE MODIFICATION HISTORY. FC5A108  ADJUST MINFL IN OPT=0 TO PREVENT 2K MEM IN ALLOC. 
          MAH    79/4/27     APPLIES TO FTN5 5.0 .
  
 *L498*    ************************************************ 
 FC5A113  BRIDGE,SKEL,PAR/DTC. DO LOOP OPTIMIZATION WHEN INITIAL = LIMIT
          MAP/MAH    79/05/03    APPLIES TO FTN5 5.0
  
 FC5A114  DECL/EQV,MAP/OCEI/OLE/OBM.  FIX EQUIVALENCE PROCESSING
          MAP    79/05/07    APPLIES TO FTN5 5.0
  
 *L505*    ************************************************ 
 F2950F5  OPTIONS,FAS.  MODIFY INSTALLATION PARAMETERS TO USE HF MICROS.
          SPS    79/5/7      APPLIES TO FTN 5.0, CCG. 
  
 FC5A107  FTN,PUC/LUS/WOF,INIT00/MIB,MAP/OTH/SRNI,LIST/WCS
          FIX THE PS OPTION. ADD CO.PS FOR COMPILER USE, PASS 
          NEGATIVE OF PS= TO COMPASS. 
          MRR    79/04/25    APPLIES TO FTN5 5.0. 
  
 FC5A109  MAP/IRB/OCEI/LADR,PUC.   FIX MAP BUGS 
          MAP    79/05/02    APPLIES TO FTN5 5.0
  
 FC5A110  LEX/CST/TOK=BOC/TOK=BOQ/TOK=ITQ/ILX,FTN5TXT.
          CLEAN UP LEX STRING ERROR PROCESSING
          MAP    79/04/27    APPLIES TO FTN5 5.0
  
 FC5A111  FTN5TXT,FERRS,DATA/BDL/STD/C=DVL,IO,PAR/SPE,CONRED/SED
          LABEL/CDI/RBE.  IMPLIED-DO ERROR DETECTION AND RECOVERY.
          MAP    79/05/2     APPLIES TO FTN5 5.0
  
 FC5A112  ALLOC/ADW.  AVOID RJ ALC IN ADW 
          MAH    79/05/02    APPLIES TO FTN5 5.0
  
 FC5A115  FTN/LOV/IDPCHK,OVL00,OVL10,OVL20.  FIX INTERMIXED COMPASS 
          MAH    79/04/30    APPLIES TO FTN5 5.0
  
 FC5P009  FEC/CUF,TYPE,HEADER.   FUNCTION ENTRY POINT DEFINITION
          ERROR DETECTION 
          MAP    79/05/08    APPLIES TO FTN5 5.0
  
 FC5A118  STMTF.   ALLOW E AND D TYPE CONSTANTS TO APPEAR IN
          STATEMENT FUNCTION DEFINITIONS
          MAP    79/05/09    APPLIES TO FTN5 5.0
  
 FC5A119  FTN,INIT00/MIB/GOI,INIT10/GOI,COMFCIP,FTN5TXT 
          ECS IMPLEMENTATION DETAILS. 
          MAP    79/05/16    APPLIES TO FTN5 5.0
  
 FC5A120  CONRED/DEC   REMOVE SPECIAL CONVERSION MODE WHEN
          *DEC* IS CALLED FROM DATA.
          MAP    79/05/16    APPLIES TO FTN5 5.0
  
 FC5A121  FAS. CORRECTLY SET TYPE FIELD OF LABEL ACT. PAR.
          MAH    79/05/18    APPLIES TO FTN5 5.0 .
  
 FC5A122  PAR/DTC  OUTPUT FATAL FOR ZERO DO LOOP INCREMENT. 
          MAP/MAH     79/05/23    APPLIES TO FTN5 5.0 
  
 FC5A124  LEX/CAK,LABEL/ALU,FLINK    PERFORMANCE IMPROVEMENTS.
          MAP/MAH    79/05/18    APPLIES TO FTN5 5.0
  
 FC5A125  LABEL/CDI,IO/NDC/BUF,PAR   FIX BAD MAP OUTPUT.
          MAP    79/05/22    APPLIES TO FTN5 5.0
  
 FC5A126  COMFERR, FERRS, LEX/KEYW, KEY/PAU, DECL/DIR/EQU, TYPE/CSK,
          FMT/AED, REC/END/SSA. 
          CLEAN UP SUNDRY DIAGNOSTICS.
          MRR    79/06/01    APPLIES TO FTN5 5.0
  
 FC5A127  FTN5TXT, KEY/EIF/FIB, LABEL/FBS. ELIMINATE UNNEEDED GENERATED 
          LABEL ON BLOCK IF.
          MRR    79/06/21    APPLIES TO FTN5 5.0
  
 FC5A128  ALLOC,CCGLINK,COMSTAD,COMSTAS,FEC,FTN5TXT,PUC,QCGLINK,
          REC,FUN,REG,SKEL,QCGC,DECL. 
          MAINTAIN BIT VECTOR FOR MANAGED TABLES TO INDICATE
          RELATIVE IMPORTANCE DYNAMICALLY.
          SPS/MAH/MAP/MRR    79/06/21    APPLIES TO FTN5 5.0 .
  
 FC5A129  FEC. FIX LEVEL 0 PROCESSING IN OPT=0. 
 MAH      79/06/11           APPLIES TO FTN 5.0 . 
  
 FC5A130  REC. AVOID BAD I/O REQUEST IN FAS ON 176. 
 MAH      79/06/12           APPLIES TO FTN 5.0 . 
  
 FC5A131  FAS/KIO. SET *IND* NOT *VAR* ON APLIST ITEM FOR 
          BUFFER FWA/LWA OR ENCODE/DECODE FWA THAT IS ARRAY 
          ELEMENT.
 MAH      06/15/79           APPLIES TO FTN5 5.0 .
  
 FC5A132  FAS,DATA,BRIDGE,GEN,LIST,COMSPSU,COMFWIN,FTN5TXT,PUC,ALLOC
          PAR,COMFGOI,INIT00,DECL. ISSUE XTEXT AND XREPL TABLES 
          INSTEAD OF TEXT AND REPL TABLES, MISCELLANEOUS FIXES. 
          MAP/MAH   79/06/04    APPLIES TO FTN5 5.0 
  
 FC5A133  LABEL    ELIMINATE SPURIOUS FATAL IN IMPLIED DO.
          MAP    79/06/07    APPLIES TO FTN5 5.0
  
 FC5A135  FEC/CLU.  AVOID SPURIOUS LEVEL DIAGNOSTICS. 
 MAH      06/21/79           APPLIES TO FTN 5.0 . 
  
 FC5A136  IO/IDC.  FIX BUG IN DO-COLLAPSE MECHANISM.
 MAP      06/25/79           APPLIES TO FTN5 5.0. 
  
 *L508*    ************************************************ 
 F2950F5A PUC,CCGC,GEN,COMFISA,COMFOSC,SKEL.  RJ AFTER ENTRY POINT CODE 
          MODIFICATION. 
          MAH    79/07/05    APPLIES TO FTN 5.0.
  
 FC5A138  PAR/A=DO,LABEL/CDI.  DIAGNOSE TOO FEW DO PARAMETERS ON IMPLIED
          DO.  OUTPUT INITIALIZE CODE AFTER DO PARAMETER EVALUATION.
          MRR/MAH 79/07/10   APPLIES TO FTN 5.0.
  
 FC5A139  REC/SSA.  DIAGNOSE VARIABLE LENGTH GREATER THAN 2**17-1.
          MRR    79/07/10    APPLIES TO FTN 5.0.
  
 FC5A140  SKEL, PAR/A=ARRAY, REG/O=PAR, BRIDGE/GAR/P=PAR.  ELIMINATE
          REGISTER DEADLOCK WITH SUBSCRIPTED SUBSCRIPTS.
          MRR/MAH 79/07/13   APPLIES TO FTN 5.0.
  
 FC5A141  FTN5TXT,QCGLINK/BBC,FEC,FLINK,IO/CML/IOL/IDC
          PAR/PAR.VAR/PAR.SBS/TRE,LABEL.
          REDUCE THE NUMBER OF SITUATIONS IN WHICH AN I/O 
          INPUT LIST MUST BE INTERRUPTED. 
          MAP    79/07/12    APPLIES TO FTN 5.0.
  
 FC5A143  IO/FMS/FPS/OST/LST.  OUTPUT DEFAULT SKIP I/O CONTROL WHEN 
          IOSTAT= IS PRESENT AND ERR= ABSENT. 
          MRR    79/07/19    APPLIES TO FTN 5.0.
  
 FC5A144  PUC,PEM.  FIX LONG DIAGNOSTIC DICTIONARY WORDS SO THAT THE
          CONTINUATION CHARACTER WORKS WITH BOTH 64 AND 63 CHARACTER
          SETS. 
          MRR    79/07/18    APPLIES TO FTN 5.0.
  
 FC5A145  HEADER/PPA,FERRS,COMSERR.  MAKE PPA BETTER AND SHORTER. 
          MAP    79/07/13    APPLIES TO FTN 5.0.
  
 FC5A146  COMCPAC/CFV, INIT00/FTN.  DIAGNOSE NUMERIC FILE NAME ON 
          CONTROL STATEMENT UNDER NOS/BE OR SCOPE 2.
          MRR    79/07/23    APPLIES TO FTN 5.0.
  
 FC5A147  DATA/BDL.  DETECT OMITTED VARIABLE LIST IN DATA STATEMENT,
          THEREBY ELIMINATING INFINITE LOOP IN *RDW*. 
          MAP    79/07/25    APPLIES TO FTN 5.0.
  
 FC5A148  KEY/EIF.  AVOID SPURIOUS NOPATH DIAGNOSTICS.
          MRR    79/07/25    APPLIES TO FTN5.0. 
  
 FC5A150  SKEL,BRIDGE,PAR,FLINK,QCGLINK,CONRED,PUC,LISTLNK, 
          FEC,ALLOC,ZEROLNK,OVL10,OVL20.
          CHANGE DIVIDE BY CONSTANT TO MULTIPLY BY RECIPROCAL,
          OPTIMIZE COMPLEX/REAL, RE-ASSOCIATE A*B*C*D TO BECOME 
          (A*B)*(C*D), MAKE (0,0) OVERLAY SHORTER.
          MAH,MAP            79/7/26     APPLIES TO FTN 5.0.
  
 FC5A151  FUN. AVOID MODE1 ON I/O OF CHARACTER FORMAL ARRAY.
          MAH    79/7/26     APPLIES TO FTN 5.0.
  
 FC5A152  DATA.  AVOID LOSS OF CONSTANT TABLE ENTRIES MADE IN QCG.
          MRR    79/07/27    APPLIES TO FTN 5.0.
  
 FC5A155  COMFCIP,INIT00/MIB.  DETECT INTERACTIVE DEBUG WITHOUT OPT=0.
          MAP    79/07/31    APPLIES TO FTN 5.0.
  
 FC5A156  FERRS, PAR/POP.EXP/PKX, DECL/PRM, CDDIR/IFD, TYPE/CCL,
          CONRED/DEC.    DIAGNOSE REAL EXPONENTIATION ON PARAMETER
          DECLARATION.
          MRR/MAP    79/08/01    APPLIES TO FTN 5.0.
  
 FC5A157  CDDIR,KEY.  ELIMINATE SPURIOUS DIAGNOSTIC FROM *IF* PROCESSOR,
          FIX BUG IN C$ DIRECTIVE PROCESSING. 
          MAP    79/08/02    APPLIES TO FTN 5.0.
  
 FC5A158  CCOMRPV,COMCPAC,COMFCIP,COMFWIN,OPTIONS,FTN5TXT,FTN,UTILITY,
          PUC,QCGLINK,ALLOC,IDP,INIT00,INIT10,INIT20,INIT21,INIT22, 
          CONRED,INIT23,PAR,CCGLINK,OVL10,OVL20.  SCOPE 2 SUPPORT CODE. 
 FC5A158A CORRECTS LOSS OF *ET* PARAMETER AND PROBLEMS CRITICAL TO
          SCOPE 2 ONLY. 
          MAP    79/08/16     APPLIES TO FTN 5.0 .
  
 FC5A161  FMT.  PREVENT SPURIOUS RECORD LENGTH DIAGNOSTICS FOR
          FORMATS WITH SLASHES IN REPEATED PAREN GROUPS.
          MAH/MRR  79/08/30   APPLIES TO FTN 5.0. 
  
 FC5A163  COMFFEI.  PREVENT COLONS IN CHARACTER SUPPORT ROUTINE 
          NAMES ON 63-CHARACTER SET SYSTEMS.
          MAH    79/08/22     APPLIES TO FTN 5.0 .
  
 FC5A164  SKEL,FTN,PUC,INIT00,FERRS,PAR,BRIDGE. 
          DETECT INVALID CONSTANT SUBSTRING.
          ALLOW PD= VALUE TO BE COMMUNICATED TO COMPASS.
          DIAGNOSE USE OF EXTERNAL FUNCTION NAME IN EXPRESSION. 
          MAP    79/08/22     APPLIES TO FTN 5.0 .
  
 FC5A165  IO,FUN. ALLOW ZERO-TERMINATED LIST-DIRECTED OUTPUT. 
          MAP    79/08/22     APPLIES TO FTN 5.0 .
  
 FC5A166  GEN,QCGC,COMSQCG. PREVENT LOSS OF BREAK AT LABEL WHICH
          IS BRANCHED TO (NOT FALLEN INTO). 
          MAH    79/08/27     APPLIES TO FTN 5.0 .
  
 FC5A167  PAR.  PREVENT MODE OUT IN PAR ON   VAR  (  EOS  . 
          MAP    79/08/27    APPLIES TO FTN 5.0 . 
  
 FC5A171  PAR,FERRS,IO,FAS,LIST.  ELIMINATE THE *READ(C)* AMBIGUITY.
 FC5A171A CORRECTS REGISTER ERROR CRITICAL TO SCOPE 2 ONLY. 
          MAP    79/09/07    APPLIES TO FTN 5.0 . 
  
 FC5A172  PAR,FTN5TXT.  MAKE T.STF HEADER LOOK LIKE TOKEN 
          SO UNARY MINUS CAN BE DETECTED LEXICALLY BY PAR.
          MAH    9-21-79     APPLIES TO FTN 5.0 . 
  
 FC5A173  INIT00. DETECT I=0. 
          MAH    79/09/24     APPLIES TO FTN 5.0 .
  
 FC5A174  INIT00,CDDIR,FERRS,DATA,REC.
          PROPERLY DIAGNOSE BAD PW= ON CONTROL CARD.
          AVOID GARBAGE IN STATISTICS AFTER FATAL ERRORS. 
          DIAGNOSE SYM. CON. IN COMPLEX CON. (ANSI).
          MAH    79/09/24     APPLIES TO FTN 5.0 .
  
 FC5A177  FLINK/MAL,QCGLINK,FEC.  MARK LOOPS POSSIBLY ENTERED VIA 
          ASSIGNED GOTOS TO AVOID OVEROPTIMIZATION. 
          MAH    79/10/05    APPLIES TO FTN 5.0,OPT GT 0. 
  
 FC50001  COMFWIN,BRIDGE.  KEEP PASS 2 PARCEL COUNTER IN SYNCH WITH PASS
          3 TO AVOID RELOCATION ERROR ON EMBEDDED DATA. 
          MAH    79/8/15     APPLIES TO FTN 5.0 . 
  
 FC50005  HEADER.  AVOID SPURIOUS *MUST NOT BE FP* ERROR ON PARAMETER 
          LIST. 
          MAH    79/08/28    APPLIES TO FTN 5.0 . 
  
 FC50007  ALLOC.  ELIMINATE ZERO LENGTH READ IN MAP (TIME LIMIT 
          IN UTILITY) CAUSED BY ATTEMPT TO USE FINAL TABLE MANAGER
          SLOP SPACE IN TIGHT FIELD LENGTH. 
          MAP/MAH    79/09/05    APPLIES TO FTN 5.0 . 
  
 FC50010  REG,FAS.  ALLOW PROPER ADDRESS FOR LOAD OF LOWER HALF 
          OF DOUBLE/COMPLEX ENTITY IN LCM.
          REPAIR LEVEL ZERO IN PARCEL 0.
          MAH    79/09/27     APPLIES TO FTN 5.0 ,OPT=0.
  
 FC50011  IO. DETECT NON CHARACTER ARRAY ELEMENT WITH CONSTANT
          SUBSCRIPT USED AS FORMAT. 
          MAH    79/10/04     APPLIES TO FTN 5.0 ,OPT=0.
  
 FC50014  PAR,FERRS.  ALLOW COMPLEX NUMBERS TO BE RAISED TO DOUBLE
          PRECISION, REAL, AND COMPLEX POWERS.  ISSUE ANSI DIAGNOSTIC 
          FOR EXPRESSIONS CONTAINING MIXTURE OF DOUBLE PRECISION AND
          COMPLEX OPERANDS. 
          MAP    79/10/05    APPLIES TO FTN 5.0 . 
  
 FC50015  LABEL/FBB/ISL,COMSSYM,FERRS.
          MARK LABELS DEFINED IN LOOPS AS ACTIVE OR *INDO*. 
          DIAGNOSE FATAL OR ANSI ANY BRANCHES TO THEM.
          REPLACES FC5A149 FROM ASYNCH. REL.
          MRR,MAH    79/07/25    APPLIES TO FTN 5.0.
  
 *L518*    ************************************************ 
 FC5*80   UPDATE COPYRIGHT INFORMATION FOR 1980 
          BEA    79/09/28    APPLIES TO FTN 5.0 
  
 FC5A168A LABEL/CUL,LEX,FERRS.  DIAGNOSE LABELS WITH IMBEDDED COLONS. 
          MAP/DCD    79/08/29    APPLIES TO FTN 5.0 . 
  
 FC5A180  BRIDGE,OPTIONS,COMFCIP.  IMPLEMENT .MINFL BUILD OPTION. 
          MAH    79/11/02    APPLIES TO FTN 5.0.
  
 FC5A181  BRIDGE.  AVOID BAD OBJECT CODE WITH EQUIVALENCED ARRAYS 
          IN IO LISTS.
          MAH    79/11/02    APPLIES TO FTN 5.0.
  
 FC5A182  LIST.  FIX OBJECT LIST LISTING ERRORS.
          MRR    79/10/31    APPLIES TO FTN 5.0.
  
 FC5A183  FTN5TXT.  DIAGNOSE MORE THAN 49 FILES ON PROGRAM CARD.
          MAP    79/11/02    APPLIES TO FTN 5.0.
  
 FC5A184  PAR,FMT,FERRS,COMSSYM,KEY,FEC. ERROR DIAGNOSIS FOR
          *PARAMETER*, *FORMAT*, *DATA* AND ASSIGNED *GO TO* STATEMENTS.
          MAP    79/11/13    APPLIES TO FTN 5.0 . 
  
 FC5A185  MAP. CLEAN UP REFERENCE MAP CODE. 
          MAP    79/11/02    APPLIES TO FTN 5.0.
  
 FC5A186  BRIDGE.  THE DO-END PROCESSOR WAS MODIFIED TO OUTPUT
          A DUMMY EXIT BLOCK.  THIS HELPED THE OPTIMIZER IN 
          REGISTER ASSIGNMENT OF ZERO TRIP LOOPS.  MCG COULD
          DO A BETTER JOB ON POST STORES IF THEY WERE HANDLED 
          AS A SEPERATE BLOCK INSTEAD OF AN EXTENSION OF THE LOOP 
          BLOCK 
          SPS    9-17-79     APPLIES TO FTN 5.0 . 
  
 FC5A186  BRIDGE. GENERATE DUMMY BLOCK AFTER DO LOOP TO 
          IMPROVE POST-STORE PROCESSING IN CCG. 
          MAH    79/11/02    APPLIES TO FTN 5.0.
  
 FC5A187  INIT00,MAP,PUC.  AVOID SPURIOUS PAGE DENSITY CARRIAGE 
          CONTROL LINES (TO TERMINALS AND IF PD=6).  ASSUME OS
          DEFAULT IS ALWAYS PD=6 (IP.PD REPRESENTS DIRECTION TO 
          PRODUCTS ONLY.
          MAH    79/11/02    APPLIES TO FTN 5.0.
  
 FC5A188  MAP,PAR.  ISSUE *A* REFERENCE LETTERS FOR VARIABLES,
          AND PROCEDURES INSIDE ARGUMENT LISTS. 
          MAP    79/11/07    APPLIES TO FTN 5.0.
  
 FC5A189  MAP/VAL.  TEST INTEGER SYMBOLIC CONSTANT AGAINST
          9999999999 TO SEE IF IT IS TOO BIG TO BE
          CONVERTED TO DPC BY *CDD*.
          MAP    79/11/07    APPLIES TO FTN 5.0 . 
  
 FC5A190  SKEL,PAR,FERRS,CONRED. DIAGNOSE BAD CONSTANT
          ARGUMENTS TO MASK AND SHIFT.  ALLOW COMPILE 
          TIME REDUCTION. 
          MAH    79/11/12    APPLIES TO FTN 5.0 . 
  
 FC5A191  COMSSYM,FEC,KEY,DECL,GEN,BRIDGE,MAP.
          IMPLEMENT WB.1REF PROPERLY. 
          MAP    79/11/08    APPLIES TO FTN 5.0 . 
  
 FC5A192  HEADER,COMSSYM,FEC,STMTF,DECL,FERRS.
          DIAGNOSE BAD FORMAL PARAMETERS. 
          MAP/FLK/MAH    79/11/14    APPLIES TO FTN 5.0 . 
  
 FC5A194  DECL.  ELIMINATE SPURIOUS DIAGNOSTIC IN *LEVEL* STATEMENT 
          WITHOUT A COMMA.
          MAP    79/11/15    APPLIES TO FTN 5.0 . 
  
 FC5A195  DECL/EQU.  FIX BUG IN ALGORITHM TO DETECT EQUIVALENCE 
          CLASS OVERLAPS. 
          MAP    79/11/16    APPLIES TO FTN 5.0 . 
  
 FC5A196  CONRED/DTA.  FIX BUG IN ASCII CONVERSION TABLE. 
          MAP    79/11/19    APPLIES TO FTN 5.0 . 
  
 FC5A197  REC. AVOID SPURIOUS SUB0 TABLE IN PROGRAM WITH
          VARIABLE DIMENSIONS.
          MAH    79/11/26    APPLIES TO FTN 5.0 . 
  
 FC5A203  MAP/REF. AVOID SKIPPING REFERENCES. 
          MAP    79/12/14    APPLIES TO FTN 5.0 . 
  
 FC5A204  PAR/PAR.STD.  SET FILL.2 PROPERLY FOR E.AT14. 
          MAP/JLB    79/12/14    APPLIES TO FTN 5.0 . 
  
 FC5A209  REG. CORRECT ADDRESSING OF LCM/ECS ENTITIES IN COMMON 
          AT OTHER THAN BASE OF BLOCK.
          MAH    79/12/20    APPLIES TO FTN 5.0, OPT=0 .
  
 FC50022  INIT00. GENERATE DIAGNOSTICS FOR CONFLICTS IN 
          CONTROL CARD FILE USAGE.
          MAH    79/11/02    APPLIES TO FTN 5.0.
  
 FC50023  PAR/CIL. ALLOW LEVEL 3 ITEMS IN DATA STATEMENTS.
          MAH    79/12/07    APPLIES TO FTN 5.0 . 
  
 FC50026  FMT. AVOID SPURIOUS DIAGNOSTIC ON (T137,1H*)
          MAH    79/11/12    APPLIES TO FTN 5.0 . 
  
 FC50029  PUC/WHL. AVOID COUNTING HEADER IN LINE COUNT TWICE. 
          MAH    79/11/19    APPLIES TO FTN 5.0 . 
  
 FC50032  FAS. CORRECT ERRORS BINARY IDENT TABLE. 
          MAH    79/11/26    APPLIES TO FTN 5.0 . 
  
 FC50035  IO. AVOID BAD CHARACTERS IN DIAGNOSTIC ISSUED 
          DURING IO CONTROL LIST KEYWORD CHECKING.
          MAP    79/12/12    APPLIES TO FTN 5.0 . 
  
 FC50041  PAR/TNK.  DEFINE ERROR ADDRESS TO AVOID ABORT 
          FOR COMPLEX CONSTANT FOLLOWED BY IMPROPER TOKEN.
          MAH    79/12/20    APPLIES TO FTN 5.0 . 
  
 *L528*    ************************************************ 
 F1037F5  COMFCIP,COMFFEI,COMFGFD,COMFPLI,OPTIONS,FTN5TXT,FTN,PUC,PEM 
          INIT00,FEC,FERRS,LEX,HEADER,DECL,TYPE,IO,PAR. 
          RELEASE 2 STUFF : MD ERRORS, SPECIAL BUILD PROCEDURE, 
          TM CONTROL CARD OPTION, OVCAP SUPPORT, STATIC MODE. 
          MAP/MRR 80/04/28   APPLIES TO FTN 5.0 . 
  
 FC5A206  PAR.  AVOID OVEROPTIMIZING PROGRAMS WITH LOCF REFERENCES. 
          MAH    79/12/20    APPLIES TO FTN 5.0, OPT=2 .
  
 FC5A207  PAR. AVOID MODE1 FOR IF(A.OP.B) WHERE A.OP.B APPEARS
          PREVIOUSLY IN SEQUENCE. 
          MAH/MRR  80/01/07    APPLIES TO FTN 5.0, OPT=0. 
  
 FC5A211  COMSSYM,COMSSYC,FTN5TXT,FERRS,IO,PAR,LABEL.  MAKE DO CONTROL
          INDICIES  BASE/BIAS FORM TO BE ABLE TO DETECT EQUIVALENCED
          REDEFINITIONS.
          MRR    80/01/27    APPLIES TO FTN 5.0.
  
 FC5A213  STMTF.  AVOID SPURIOUS DIAGNOSTICS AFTER DIAGNOSING REPEATED
          DUMMY ARGUMENT APPEARANCE IN STATEMENT FUNCTION DEFINITION. 
          MAH    80/01/09    APPLIES TO FTN 5.0 . 
  
 FC5A214  IO/IDC,C=DOCS.  EXTEND IMPLIED DO COLLAPSE TO COVER MORE
          CASES.
          MRR    80/01/09    APPLIES TO FTN 5.0.
  
 FC5A216  PAR/TNK.  WHEN A CONSTANT HAS AN ILLEGAL SUCCESSOR ELEMENT IN 
          AN EXPRESSION, DETERMINE THE NATURE OF THE CONSTANT AND 
          EXPRESSION FOR SPECIAL PROCESSING.
          MRR    80/03/28    APPLIES TO FTN 5.0 . 
  
 FC5A217  DECL/EQS.  DELETE CODE THAT ISSUES ERROR WHEN *EQUIVALENCE* 
          PROCESSOR SEES AN ARRAY NAME WITHOUT A SUBSCRIPT EXPRESSION.
          MAP    80/01/18    APPLIES TO FTN 5.0.
  
 FC5A218  IO,PAR,BRIDGE,SKEL.  ALLOW CORRECT DEFINITION OF CONTROL
          VARIABLE IN COLLAPSE CASE, E.G., EMIT CODE TO SET I TO 1 OR 
          J+1 (DEPENDING ON WHETHER J IS .LE. OR .GT. ZERO) FOR CASE: 
          READ(1)(A(I),I=1,J) 
          ANSI REQUIRES THIS DEFINITION.
          MAH    1/21/80     APPLIES TO FTN 5.0 . 
  
 FC5A219  PUC,FAS,LIST.  FIX VARIOUS OBJECT LISTING ERRORS. 
          MRR    80/01/21    APPLIES TO FTN 5.0.
  
 FC5A220  FERRS.  CHANGE SEVERITY OF SOME DIAGNOSTICS TO FATAL. 
          MAH    1/23/80     APPLIES TO FTN 5.0 . 
  
 FC5A221  PAR.  GENERATE CORRECT CODE FOR  A/2./B/3.*4. 
          FC5 VERSION OF FCCA533. 
          MAH    1/25/80     APPLIES TO FTN 5.0 . 
  
 FC5A222  REG/CWI.  AVOID RECURSIVE CLI CALL (TIME LIMIT IN REG). 
          FC5 VERSION OF FCC2282. 
          MAH    1/25/80     APPLIES TO FTN 5.0 ,OPT=0. 
  
 FC5A224  LEX/KEYW,KEY/GOT.  ALLOW COMPUTED GOTO AS DO TERMINAL 
          STATEMENT.
          MRR    80/01/30    APPLIES TO FTN 5.0 . 
  
 FC5A225  FEC,FERRS,DECL,TYPE.  DIAGNOSE ATTEMPT TO MODIFY TYPE OR
          LENGTH OF SYMBOLIC CONSTANT.
          MAH/MRR  80/01/31    APPLIES TO FTN 5.0 . 
  
 FC5A226  MAP/DMF. AVOID MODE 1 IN MAP LISTING ATTRIBUTES OF LARGE
          PROGRAM TO CONNECTED FILE.
          MAH    80/02/01    APPLIES TO FTN 5.0 . 
  
 FC5A227  FTN5TXT,PARSKEL,FERRS,TYPE,PAR.  CORRECTLY DIAGNOSE INTRINSIC 
          FUNCTION MISUSE. (I.E., APPEARANCE IN TYPE DECLARATIONS, USE
          IN PARAMETER CONSTANT EXPRESSIONS, ACTUAL ARGUMENT LIST.) 
          MRR    80/02/06    APPLIES TO FTN 5.0 . 
  
 FC5A228  PAR/TRE.  DIAGNOSE INVALID USE OF UNSUBSCRIPTED ARRAY 
          REFERENCES IN ARGUMENT LISTS. 
          MRR    80/03/11    APPLIES TO FTN 5.0 . 
  
 FC5A229  MAP.  AVOID MODE 1 IN MAP DUE TO TOO LARGE A PROPERTY FIELD.
          DEPICT STRAY NAME AS *S*. 
          MAH    80/02/08    APPLIES TO FTN 5.0 . 
  
 FC5A230  FTN5TXT,PAR.  RECOGNIZE COLON AS UNARY OPERATOR PRECEDENT.
          MRR    80/02/13    APPLIES TO FTN 5.0 . 
  
 FC5A231  COMFMAV,COMSSYM,FTN5TXT,LISTLNK,FEC,HEADER,DATA,DECL,IO,PAR,
          LABEL,FAS,CCGC,BRIDGE.  CLEAN UP SOME MINOR PROBLEMS.  BAD OR 
          MISSING DIAGNOSTICS, MISSING CROSS REFERENCES, LISTING ERRORS,
          ETC.  ALSO CORRECT AN UNFORTUNATE DUPLICATION OF A DATA 
          STRUCTURE NAME. 
          MRR    80/02/14    APPLIES TO FTN 5.0 . 
  
 FC5A232  IO.  REMOVE THE I/O ROUTINE ORDINAL SETTING FROM THE CONTROL
          TURPLES.
          MRR    80/02/14    APPLIES TO FTN 5.0 . 
  
 FC5A233  LEX/KEYW.  TREAT THE DATA STATEMENT AS A TURPLE GENERATING
          STATEMENT.
          MRR    80/02/18    APPLIES TO FTN 5.0 . 
  
 FC5A234  FMT/FMT.P.  PROPERLY UPDATE EDIT DESCRIPTOR STATUS AFTER SCALE
          FACTOR IS ENCOUNTERED.
          MRR    80/02/24    APPLIES TO FTN 5.0 . 
  
 FC5A235  IO/PKC.  FLAG NO FILE PROPERTY BIT SELECTION ON INQUIRE 
          WITHOUT UNIT= SPECIFIED.
          MRR    80/03/01    APPLIES TO FTN 5.0 . 
  
 FC5A239  LEX/CLN.  SPECIAL CASE THE ENTOKENING PROCESS INITIALIZATION
          WHEN RESTARTING SEQ MODE NON BLANK SQUEEZE TOKENS TO AVOID
          LOSING A CHARACTER WHEN THE CONTINUATION LINE IS ENTOKENED. 
          MRR    80/03/13    APPLIES TO FTN 5.0 . 
  
 FC5A243  BRIDGE,FUN,SKEL,COMSQCG.
          ALLOW CORRECT LENGTH TO BE ASSOCIATED WITH
          NON-STATICALLY-DETERMINABLE EXPRESSIONS USED AS 
          ARGUMENTS, SUCH AS  CALL X(A//B(I:J)) 
          MUST BE INSTALLED IN CONJUNCTION WITH FL5A317.
          MAH    80/03/10    APPLIES TO FTN 5.0 . 
  
 FC5A244  FTN/LDPRI.  USE NOMINAL RATHER THAN ACTUAL FIELD LENGTH WHEN
          ISSUING LOADER REQUESTS TO AVOID EXTRANEOUS FL TOO SHORT
          DIAGNOSTIC.  CORRECT TEXT OF THAT MESSAGE.
          MRR    80/03/12    APPLIES TO FTN 5.0 . 
  
 FC5A248  SKEL,IO/AII/IDC/PAX.  AVOID DEFINING I IN 
          N=0 
          PRINT *,((A(I,J),I=1,10),J=1,N) 
          MAH/MRR  80/07/09    APPLIES TO FTN 5.1 . 
  
 FC5A250  FAS.  FORCE SCM TYPE CHARACTER ADDRESSING TO BE 18-BIT TO 
          ACCOMODATE OVCAPS.
          MRR    80/03/31    APPLIES TO FTN 5.0 . 
  
 FC5A251  IO/PEC.  AVOID THE PATH TESTING FOR CHARACTER EXPRESSIONS WHEN
          AN I/O CONTROL LIST STARTS:  (*  .
          MRR    80/04/02    APPLIES TO FTN 5.0 . 
  
 FC5A252  IO/C=FMT.  BYPASS CHARACTER LENGTH CHECK WHEN FORMAT SPECIFIER
          IS ENTIRE CHARACTER ARRAY.  THIS AVOIDS A SPURIOUS DIAGNOSTIC.
          MRR    80/04/02    APPLIES TO FTN 5.0 . 
  
 FC5A253  PAR/DOC.  DIAGNOSE ARRAY ELEMENT USED AS DO CONTROL INDEX.
          MRR    80/04/03    APPLIES TO FTN 5.0 . 
  
 FC5A254  PAR/DOC.  DIAGNOSE BOOLEAN VARIABLE USED AS DO CONTROL INDEX. 
          MRR    80/04/04    APPLIES TO FTN 5.0 . 
  
 FC5A255  COMSSYC,FEC/CBN,FERRS.  PROVIDE ANSI DIAGNOSTIC FOR COMMON
          BLOCK NAMES WITH INVALID USES IN THE PROGRAM UNIT.
          MRR    80/04/04    APPLIES TO FTN 5.0 . 
  
 FC5A257  TYPE/TYP.  WHEN A CHARACTER ARRAY IS DIMENSIONED IN THE TYPE
          DECLARATION, GIVE THE ARRAY A DEFAULT LENGTH (TEMPORARY) UNTIL
          THE DIMENSION PROCESSING IS COMPLETE, TO AVOID LENGTH ZERO IF 
          ERRORS OCCUR IN THE DIMENSION SYNTAX. 
          MRR    80/04/09    APPLIES TO FTN 5.0 . 
  
 FC5A258  FTN5TXT,FEC,LEX,DATA,FMT,PAR,REG.  SPLIT THE VARIOUS HOLLERITH
          FORMS (I.E., NH..., "...", L"...", R"...") INTO DISTINCT
          TOKENS TO BE ABLE TO DIAGNOSE INVALID USAGE.
          MRR    80/04/14    APPLIES TO FTN 5.0 . 
  
 FC5A261  PUC/PUC.  CORRECTLY USE THE BL FLAG TO PROVIDE PAGE EJECTS
          WHEN PAGE PARITY (BL OPTION) IS REQUESTED.
          MRR    80/04/22    APPLIES TO FTN 5.0 . 
  
 FC5A262  FTN,INIT00,FERRS,HEADER,TYPE,REC.  GENERAL CLEAN UP.  CORRECT 
          DIAGNOSTIC SPELLING AND WORDING.  ADD ANSI DIAGNOSTIC FOR 
          BOOLEAN STATEMENT.  REMOVE ERRONEOUS DIAGNOSTIC FOR NULL
          PARAMETER LIST ON ENTRY STATEMENT.  REMOVE SOME OUTDATED TEST 
          MODE CODE.  MAKE SOME HARD CONSTANTS MNEUMONIC. 
          MRR    80/04/24    APPLIES TO FTN 5.0 . 
  
 FC5A264  DATA/BIT.  DIAGNOSE ALL FORMS OF BOOLEAN CONSTANTS IN DATA
          CONSTANT LISTS AS MACHINE DEPENDENT.
          MRR    80/05/09    APPLIES TO FTN 5.1 . 
  
 FC5A266  DATA/NIC.  WHEN DATA VARIABLE LIST LENGTH EXCEEDS CONSTANT
          LIST LENGTH, SET THE COUNT NEGATIVE TO ALLOW DIAGNOSIS OF THE 
          ERROR.
          MRR    80/05/08    APPLIES TO FTN 5.1 . 
  
 FC5A271  IO/DOB/IDC.  WHEN AN I/O IMPLIED DO IS COMPLETELY COLLAPSED,
          IN THE CASE WHERE DIMENSIONALITY EXCEEDS COLLAPSE, FORCE A
          RESTART CALL, ALLOWING INITIALIZATION CODE FOR THE ARRAY
          SUBSCRIPTS TO BE PROPERLY POSITIONED. 
          MRR    80/07/09    APPLIES TO FTN 5.1 . 
  
 FC50049  INIT00,FAS,LIST,COMFWIN,COMFPLI,COMSPSU.  CORRECT PROCESSING
          OF PL= VALUE ON COMPILER CALL THAT IS GREATER THAN 131071.
          MAH    1/18/80     APPLIES TO FTN 5.0 . 
  
 FC50050  LABEL.  CORRECT LOOP COUNT CONTROL FOR NON-INTEGER DO.
          MAH    1/22/80     APPLIES TO FTN 5.0 . 
  
 FC50055  PUC/CAF.  TERMINATE LGO FILE WITH WRITEF INSTEAD OF 
          WRITER. 
          MAH    1/29/80     APPLIES TO FTN 5.0 . 
  
 FC50061  IO/CVL/IDC.  OUTPUT CROSS REFERENCE FOR OBJECT ARRAY OF 
          IMPLIED DO COLLAPSE.
          MRR    80/03/12    APPLIES TO FTN 5.0 . 
  
 FC50062  KEY/ENT.  PROPERLY SAVE ENTRY NAME FOR T.ENT ADDITION.
          MRR    80/02/19    APPLIES TO FTN 5.0 . 
  
 FC50066  GEN.  LOCK REGISTER CONTAINING VALUE TO BE STORED ACROSS
          THE ALLOCATION OF A STORE REGISTER FOR IT, IN CASE THAT 
          ALLOCTION INVOLVES A CONFLICTING LOAD.  REPAIRS BAD CODE
          MOST PROBABLY IN COMPLICATED COMPLEX OR DOUBLE PRECISION
          FORMAL PARAMETER ASSIGNMENT SEQUENCES.
          MAH    80/04/07    APPLIES TO FTN 5.0 . 
  
 FC50067  BRIDGE/P=FUN.  MAKE THE USER/BEF FLAG THREE-WAY TO HANDLE 
          TRACEBACK MODE. 
          MRR    80/02/26    APPLIES TO FTN 5.0 . 
  
 FC50068  PAR/PAR.  WHEN FIRST ELEMENT OF AN EXPRESSION IS AN INVALID 
          STRING TOKEN (O.ILL), EXIT PAR VIA PAR.STOP.
          MRR    80/02/26    APPLIES TO FTN 5.0 . 
  
 FC50069  FEC,DECL.  FIX ADJUSTABLE DIMENSION CODE FOR FORMAL PARAMETERS
          WHICH ARE DECLARED ON ENTRY STATEMENTS. 
          MRR    80/02/28    APPLIES TO FTN 5.0 . 
  
 FC50084  IO/IOL/DCB.  REMOVE CODE TO ADD IN STARTING OFFSET FOR IO (AND
          DATA) ARRAYS WHICH WERE PARTIALLY COLLAPSED.  THE OFFSET IS 
          IMLICIT IN THE ARRAY SUBSCRIPT CALCULATION AND ADDING IT WAS
          RESULTING IN INCORRECT SUBSCRIPT CALCULATION. 
          MRR    80/03/26    APPLIES TO FTN 5.0 . 
  
 FC50086  FMT/FMT=ILL.  WHEN AN INVALID EDIT DESCRIPTOR OR PUNCTUATION
          OCCURS IN A FORMAT STATEMENT, CONTINUE PROCESSING AT THE NEXT 
          DELIMITER TO AVOID PROLIFERATION OF DIAGNOSTICS.
          MRR    80/03/26    APPLIES TO FTN 5.0 . 
  
 FC50090  PUC.  AVOID VARIOUS MODE ERRORS IN OPT=1 WITH B=0 
          SPECIFIED.  UNLOAD LAST PROGRAM UNIT IL FILE WITH B=0.
          MAH    80/04/08    APPLIES TO FTN 5.0 . 
  
 FC50106  FERRS,STMTF/SFD.  DIAGNOSE STATEMENT FUNCTION DUMMY ARGUMENT
          USAGE AS OTHER THAN SIMPLE VARIABLE AT STATEMENT FUNCTION 
          DEFINITION TIME.
          MRR    80/06/19    APPLIES TO FTN 5.1 . 
  
 FC50110  FEC/TRV,FERRS,HEADER/PSF,DECL/EXT,TYPE/TYP.  PROPERLY SAVE
          TOKEN BUFFER POINTER WHEN MAKING START. PROGRAM HEADER. 
          PREVENTS MODE OUT WHEN MULTIPLE START. IS NECESSARY.
          MRR    80/06/17    APPLIES TO FTN 5.1 . 
  
 FC50128  FEC/RSC.  INITIALIZE THE PARSER CURRENT MODE CELL TO AVOID
          'LEFTOVER' PARSE MODE.  FIXES BUG WHEN DATA STATEMENT FOLLOWS 
          CHARACTER SPECIFICATION.
          MRR    80/06/03    APPLIES TO FTN 5.1 . 
  
 FC50130  BRIDGE,SKEL.  AVOID BAD CODE IN OPT=2 FOLLOWING LOOP OF FORM
          DO 10 J=K,K (TRIP COUNT = 1). 
          MAH    80/06/23    APPLIES TO FTN 5.1 ,OPT=2. 
  
 FC50131  REG.  AVOID LOOPING IN REG WHILE PROCESSING ARRAY LOAD
          WITH LEVEL 2 INDEX. 
          MAH    80/06/24    APPLIES TO FTN 5.1 ,OPT=0. 
  
 FC50136  BRIDGE,SKEL.  IMPROVE CODE GENERATED FOR BOTTOM-OF-LOOP 
          INCREMENT FOR SOME LOOPS, WHILE MAKING EASIER FOR CCG TO
          CODE. 
          MAH    80/06/23    APPLIES TO FTN 5.1 ,OPT .GE. 1 . 
  
 FC50137  FEC/FVD,FAS/OCL. PRESERVE ALL ATTRIBUTES OF OPERANDS APPEARING
          IN VARIABLE DIMENSION INTERMEDIATE LANGUAGE.  MAKE CHARACTER
          LENGTH BINARY INDICATOR COMPATIBLE WITH FL5.  THIS ALLOWS 
          INTERNAL FILES WITH PASSED LENGTH TO WORK PROPERLY. 
          MRR    80/06/12    APPLIES TO FTN 5.1 . 
  
 FC50138  GEN.  AVOID BAD CODE IN OPT=0 WITH MANY COMPLICATED 
          VARIABLE DIMENSION EXPRESSIONS. 
          MAH    80/06/23    APPLIES TO FTN 5.1 ,OPT=0. 
  
 FC50147  PAR/PAR.CM.  WHEN PROCESSING DATA VARIABLE LIST ITEMS, EXIT 
          THE PARSER AFTER EACH ITEM IS PROCESSED (LIKE I/O LISTS), 
          ALLOWING THE PROCESSING ROUTINE TO HANDLE IMPLIED DOS.  THIS
          AVOIDS EXTRANEOUS DIAGNOSTICS.
          MRR    80/06/12    APPLIES TO FTN 5.1 . 
  
 FC50148  FERRS,PAR/STFD/ES.SHF.  PROPERLY REDUCE NULL SHIFTS. (IN SOME 
          CASES SHIFT WAS TREATED AS A VARIABLE.)  PROVIDE ANSI MESSAGE 
          FOR DUMMY/ACTUAL ARGUMENT TYPE MISMATCH.
          MRR    80/06/19    APPLIES TO FTN 5.1 . 
  
 FC50156  DECL.  REPAIRS FIELD LENGTH SENSITIVE TABLE DISLOCATION 
          WHILE PROCESSING LCM COMMON BLOCKS.  SYMPTOMS INCLUDE 
          SPURIOUS DIAGNOSTICS, MODE ERRORS IN DECL AND LOSS OF 
          LCM RELOCATION FOR SOME BLOCKS. 
          MAH    80/06/25    APPLIES TO FTN 5.1 . 
  
 *L538*    ************************************************ 
 FC5*81   FTN. UPDATE COPYRIGHT INFORMATION FOR 1981. 
          MRR    80/09/17    APPLIES TO FTN 5.1 . 
  
 F1037F5A OPTIONS.  CHANGE VERSION MICRO (VER) TO 5.1 FOR LISTING 
          BANNER. 
          MRR    80/10/23    APPLIES TO FTN 5.0 . 
  
 FC5A246  FUN. CLEAN UP COMMENTS AND LISTING. 
          MRR    80/09/10    APPLIES TO FTN 5.1 . 
  
 FC5A247  IO/DOCS.  SUPPRESS I/O IMPLIED DO COLLAPSE FOR ARRAYS WHICH 
          HAVE DUPLICATION OF INTEGER VARIABLE SUBSCRIPTS.
          MRR    80/07/10    APPLIES TO FTN 5.1 . 
  
 FC5A249  IO.  AVOID WRONG VALUE FOR I IN 
          DIMENSION A(10) 
          EQUIVALENCE (A(3),N)
          READ  *,(A(I),I=1,N)
          MAH    80/07/07    APPLIES TO FTN 5.1 . 
  
 FC5A256  IO/IDC/DOCS.  WHEN A SUBSCRIPT HAS BEEN EQUIVALENCED TO 
          THE OBJECT ARRAY, SUPPRESS I/O IMPLIED DO COLLAPSE FOR THAT 
          CONSTRUCT.
          MRR    80/07/10    APPLIES TO FTN 5.1 . 
  
 FC5A269  DATA. DIAGNOSE   DATA A/2*2*0./ 
          MAH    80/07/01    APPLIES TO FTN 5.1.
  
 FC5A270  LABEL/CDI.  DIAGNOSE TRIP COUNTS THAT ARE VERY MUCH TOO 
          LARGE IN SHORT LOOP MODE. 
          MRR    80/08/28    APPLIES TO FTN 5.1 . 
  
 FC5A273  MAP/GNB.  RESET THE CURRENT BLOCK COUNT TO AVOID INTERMITTANT 
          LOSS OF THE COMMON/EQUIVALENCE MAP. 
          MRR    80/07/21    APPLIES TO FTN 5.1 . 
  
 FC5A274  DECL/DIS.  DIAGNOSE TOO MANY DIMENSIONS ON DECLARATION OF AN
          ARRAY WITH ASSUMED LENGTH AS THE LAST DIMENSION.
          MRR    80/07/23    APPLIES TO FTN 5.1 . 
  
 FC5A275  SYMDEFS,FTN.  PROVIDE TRACEBACK CELL ENTRY POINT FOR CCG. 
          CCG CODE IS CCGA035.
          MRR    80/08/27    APPLIES TO FTN 5.1 . 
  
 FC5A278  FERRS,DECL/PRM.  DIAGNOSE EXTRANEOUS CHARACTER AFTER PARAMETER
          STATEMENT PARAMETER GROUP.
          MRR    80/08/12    APPLIES TO FTN 5.1 . 
  
 FC5A279  PAR/TRE.  AVOID INVALID MACHINE DEPENDENT DIAGNOSTICS 
          ON UNSUBSCRIPTED ARRAYS.
          MRR    80/09/12    APPLIES TO FTN 5.1 . 
  
 FC5A281  FAS/REL,LIST.  WHEN RELOCATING AN INSTRUCTION OR APLIST ENTRY,
          USE THE PROPER FIELD WIDTH TO AVOID TRUNCATION OF LARGE LCM 
          BIAS.  MODIFY KTY IN LIST TO AVOID THE SAME PROBLEM.
          MRR    80/08/25    APPLIES TO FTN 5.1 . 
  
 FC5A282  INIT00/MIB.  DIAGNOSE PS OPTION VALUE .LT. 4. 
          MRR    80/08/27    APPLIES TO FTN 5.1 . 
  
 FC5A284  COMCPAC/PAC.  DIAGNOSE B== AS INVALID BINARY FILES.  ALSO 
          CORRECT DAYFILE MESSAGES FOR INVALID OPTIONS. 
          MRR    80/10/22    APPLIES TO FTN 5.1 . 
  
 FC5A294  FERRS,PAR/TRE.  CORRECTLY DIAGNOSE USES OF SUBROUTINE NAMES 
          IN EXPRESSION CONTEXT.
          MRR    80/09/12    APPLIES TO FTN 5.1 . 
  
 FC5A296  PAR/SHIFT.  WHEN A CONSTANT SHIFT COUNT FOR THE INTRINSIC 
          SHIFT IS .GT. ABS(60), RESTORE THE TURPLE HEADER SKELETON 
          ORDINAL.
          MRR    80/09/17    APPLIES TO FTN 5.1 . 
  
 FC5A298  FAS/FST.  CORRECTLY SET THE S3.RA FIELD IN THE 5600 TABLE 
          (CID/PMD SYMBOL TABLE) FOR DUMMY ARGUMENTS. 
          MRR    80/09/18    APPLIES TO FTN 5.1 . 
  
 FC5A299  DECL/EQU.  STORE VARIABLE NAME ONLY FOR ILLEGAL EXTENSION OF
          COMMON DIAGNOSTIC.
          MRR    80/10/02    APPLIES TO FTN 5.1 . 
  
 FC5A302  PAR/PKX.  WHEN PARSING A CHARACTER CONSTANT EXPRESSION, 
          DETERMINE IF THE RESULTING CHARACTER CONSTANT IS .LE. 2**15-1,
          ELSE ISSUE A DIAGNOSTIC.
          MRR    80/10/16    APPLIES TO FTN 5.1 . 
  
 FC5A304  DATA/BIT/CRC.  FIX THE FOLLOWING DATA STATEMENT PROBLEMS. 
          1.  DISALLOW BOOLEAN AS REPEAT COUNT. 
          2.  ALLOW SIGNED COMPLEX CONSTANTS. 
          MRR    80/11/06    APPLIES TO FTN 5.1 . 
  
 FC5A312  DECL/CCC.  CORRECT THE LOOP OF THE COMMON CONFLICT TEST.
          PREVENTS BAD COMMON BLOCK NAME BEING SET INTO DIAGNOSTIC. 
          MRR    80/11/24    APPLIES TO FTN 5.1 . 
  
 FC5A314  IO/SFP.  DONT INCLUDE FORM= IN THE TEST FOR FORMATED FOR UNIT 
          SPECIFIER PROPERTIES FOR THE ATTRIBUTE MAP. 
          MRR    80/12/05    APPLIES TO FTN 5.1 . 
  
 FC5A315  FMT/FMT=EOS.  CHANGE DIAGNOSTIC CALL STYLE OF E.FS18 TO 
          CONFORM TO DIAGNOSTIC TYPE. 
          MRR    80/12/05    APPLIES TO FTN 5.1 . 
  
 FC50096  COMSSYM,FEC,FERRS.  EXPAND WB.FR FIELD TO ACCOMODATE LARGE
          SEQUENCE NUMBERS.  THIS PREVENTS ERRONEOUS DIAGNOSTICS IN IF
          BLOCK AND DO LOOP ANALYSIS. 
          MRR    80/09/03    APPLIES TO FTN 5.1 . 
  
 FC50104  FTN5TXT,COMSQCG,FEC,FSNAP,KEY,DATA,IO,PAR,LABEL,STMTF,QCGC, 
          GEN,BRIDGE. 
          CHANGE THE TH.SKEL AND TH.LINE FIELD SIZES TO ACCOMODATE LARGE
          SEQUENCE NUMBERS.  CREATE SP. DATA STRUCTURE TO REPRESENT THE 
          PARSER FORM OF TURPLE HEADER WORDS.  TRANSFORM THE SP. FORM 
          (PARSER) TO TH. FORM (IL) AT TURPLE EMISSION TIME.
          MRR    80/08/18    APPLIES TO FTN 5.1 . 
  
 FC5A300  FERRS,STMTF/SFD. FIX THE FOLLOWING STATEMENT FUNCTION BUGS: 
          1.  CORRECT FUNCTION NAME IN DIAGNOSTICS. 
          2.  DIAGNOSE DUMMY ARGUMENT OF PASSED LENGTH CHARACTER TYPE.
          3.  DIAGNOSE UNBALANCED PARENTHESES IN DEFINITION.
          MRR    80/12/20    APPLIES TO FTN 5.1 . 
  
 FC50168  PARSKEL.  KEEP INTERNAL FUNCTION NAMES LIKE ERR,CMPL
          AND CTOI INTERNAL.
          MAH    80/07/02    APPLIES TO FTN 5.1.
  
 FC50169  FMT/AED.  PREVENT SPURIOUS DIAGNOSTICS ON FORMAT
          STATEMENT FOLLOWING ERRONEOUS FORMAT. 
          MAH    80/07/02    APPLIES TO FTN 5.1.
  
 FC50170  LEX/CST.  AVOID ASSUMING A(I:J)=...  IS STATEMENT 
          FUNCTION DEFINITION BECAUSE A IS NOT TYPED. 
          MAH    80/07/03    APPLIES TO FTN 5.1.
  
 FC50172  CONRED/LCH.  AVOID SPURIOUS DIAGNOSTICS CAUSED BY 
          CONFUSION OF ARRAY ELEMENT SUBSTRING WITH CHARACTER 
          CONSTANT. 
          MAH    80/07/07    APPLIES TO FTN 5.1.
  
 FC50180  DATA/CFC/CHC.  MOVE THE TEST FOR A PARAMETER USED AS HALF 
          OF A COMPLEX CONSTANT TO AVOID SPURIOUS DIAGNOSTICS.
          MRR    80/12/05    APPLIES TO FTN 5.1 . 
  
 FC50182  CCGC/MMV/MZP.  CHANGE LABEL NAMES TO CORRESPOND TO ROUTINE IN 
          WHICH THEY RESIDE.  PREVENTS INCORRECT JUMP FROM MZP INTO MAV.
          MRR    80/07/28    APPLIES TO FTN 5.1 . 
  
 FC50199  PAR/SQZ.  CORRECT THE MANUFACTURE OF ATTRIBUTES FOR AN INTER- 
          MEDIATE OPERAND MADE TO REPLACE A SQUEEZED TURPLE.
          MRR    80/12/20    APPLIES TO FTN 5.1 . 
  
 FC50201  CONRED/DVI.  SWITCH SENSE OF BLOCK DATA TEST TO ALLOW ANSI
          DIAGNOSTIC FOR INITIALIZATION IN OTHER PROGRAM UNITS AND TO 
          SUPPRESS THE DIAGNOSTIC IN BLOCK DATA.
          MRR    80/08/13    APPLIES TO FTN 5.1 . 
  
 FC50207  KEY/CLL.  DIAGNOSE USAGE CONFLICTS OF PARAMETER AND NAMELIST
          NAMES USED AS SUBROUTINE NAMES IN CALL STATEMENTS.
          MRR    80/08/20    APPLIES TO FTN 5.1 . 
  
 FC50216  IO/IDC.  WHEN AN IMPLIED DO IS COMPLETELY COLLAPSED, ASSURE 
          THAT THE BIAS (OFFSET) FIELD IS INCLUDED IN THE ARRAY OPERAND 
          IN ALL CASES. 
          MRR    80/09/05    APPLIES TO FTN 5.1 . 
  
 FC50218  IO/PEC.  CALL SFP TO PROVIDE FILE PROPERTIES WHEN NON-KEYWORD 
          FORMS OF I/O STATEMENTS ARE USED. 
          MRR    80/09/03    APPLIES TO FTN 5.1 . 
  
 FC50221  PAR/DOC.  CLEAR 1REF BIT ON DO CONTROL VARIABLE TO AVOID
          EXTRANEOUS STRAY INDICATION ON ATTRIBUTE MAP. 
          MRR    80/09/02    APPLIES TO FTN 5.1 . 
  
 FC50226  LIST/WCC.  REMOVE THE DPC ECHO OF CONSTANTS IN OBJECT LISTING.
          PREVENTS SOME IAF ERRORS WHEN NOS GETS CONFUSED ABOUT COLONS. 
          MRR    80/11/22    APPLIES TO FTN 5.1 . 
  
 FC50236  LIST/WIO.  CORRECTLY SET THE OA.VAR BIT FOR OL OF I/O APLIST
          ITEMS.
          MRR    80/09/26    APPLIES TO FTN 5.1 . 
  
 FC50237  SKEL,QSKEL. CORRECT THE SKELETON FOR COMPLEX SINGLE RELATIONAL
          .EQ..  FIXES BUG WITH IMAGINARY PART NEGATIVE, REAL PART
          POSITIVE (AND VICE VERSA).
          MRR    80/09/30    APPLIES TO FTN 5.1 . 
  
 FC50238  DECL/EQU.  STORE VARIABLE NAME ONLY FOR REDUNDANT EQUIVALENCE 
          DIAGNOSTIC. 
          MRR    80/09/11    APPLIES TO FTN 5.1 . 
  
 FC50243  LEX/PLR/LDB.  MODIFY HEADER DELAY OUTPUT LOGIC TO ALLOW 
          PROGRAM NAME TO ALWAYS APPEAR IN THE HEADER.  AVOIDS SITUATION
          WHERE WHEN MANY COMMENTS PRECEDE THE FIRST INITIAL LINE OF A
          PROGRAM UNIT, SOME LINES ARE REPEATED.
          MRR    80/09/23    APPLIES TO FTN 5.1 . 
  
 FC50249  COMFISA.  INSURE THAT ENTRY CODE INCLUDES SAVING OF A0 WHEN 
          ANY ENTRY POINT HAS FORMAL PARAMETERS.  AVOIDS PROBLEM OF 
          A0 BEING RESTORED FROM AN UNINITIALIZE TEMPORARY WHEN A MIX 
          OF ENTRIES EXISTS, SOME WITH PARAMETERS, SOME WITHOUT.
          MRR    80/09/19    APPLIES TO FTN 5.1 . 
  
 FC50250  LEX/LEX.  WHEN LEX ENCOUNTERS AN EOF/EOR, LIST THE DEFERRED 
          BUFFER WHEN IN HEADER DELAY.  AVOIDS LOSING STRAY COMMENTS
          WHEN END STATEMENT IS MISSING.
          MRR    80/09/24    APPLIES TO FTN 5.1 . 
  
 FC50251  FEC/CVD.  DIAGNOSE ASSUMED SIZE ARRAYS WHICH ARE NOT DUMMY
          ARGUMENTS.
          MRR    80/09/23    APPLIES TO FTN 5.1 . 
  
 FC50265  KEY/CLL/ENT/EIF/FIB/EGL.  AFTER ISSUING THE BSS TURPLE FOR A
          GENERATED LABEL, PUBLISH THE IL.  THIS FORCES OPT=0 TO CLEAR
          REGISTER ASSIGNMENTS AND PREVENTS BAD CODE FOLLOWING IF BLOCKS
          ETC.
          MRR    80/12/02    APPLIES TO FTN 5.1 . 
  
 FC50275  PAR/TNK.PARM.  WHEN A PARAMETER (SYMBOLIC CONSTANT) IS
          ENCOUNTERED IN AN EXPRESSION CONTEXT, CALL NBC TO PROVIDE THE 
          PROPER TP. FORM OF THE CONSTANT (S=CON OR TP.SHRT).  THIS 
          PROVIDES BETTER PARSER OPERATION AND NICER CODE GENERATION. 
          MRR    80/10/14    APPLIES TO FTN 5.1 . 
  
 FC50293  LABEL/GSL/ALU.  PROPERLY DIAGNOSE ILLEGAL FORWARD REFERENCES
          TO STATEMENT LABELS WITHIN A BLOCK IF.
          MRR    80/11/12    APPLIES TO FTN 5.1 . 
  
 FC50314  PUC/END,INIT00/MIB.  WHEN FORTRAN 5 CONTROL STATEMENT ERRORS
          ARE FOUND, TAKE THE ABORT EXIT RATHER THAN NORMAL TERMINATION.
          THIS ALLOWS EXIT(S)[NOS/BE] OR EXIT. [NOS] PROCESSING.
          MRR    80/11/14    APPLIES TO FTN 5.1 . 
  
 FC50317  IO/ICK.  WHEN I/O CONTROL KEYWORD PROCESSING DIAGNOSES A TOKEN
          WHICH IS NOT O.VAR, CORRECTLY SET THE FILL. CELL TO PRODUCE A 
          MEANINGFUL DIAGNOSTIC.
          MRR    80/11/21    APPLIES TO FTN 5.1 . 
  
 FC50322  FTN.  CHANGE THE VALUE OF THE *F COMPASS SYMBOL TO -3 TO
          DIFFERENTIATE BETWEEN FTN 4 AND FTN 5.
          MRR    80/12/02    APPLIES TO FTN 5.1 . 
  
 *L552*    ************************************************ 
 FC5A310  PAR/POP.EXP.  CORRECTLY SET THE TRANSPARENT INTRINIC FUNCTION 
          MODE FOR COMPLEX**REAL AND COMPLEX**DOUBLE. 
          MRR    81/01/19    APPLIES TO FTN 5.1 . 
  
 FC5A317  PAR.  RECOGNIZE DO BEGIN TOKEN AS UNARY OPERATOR PRECEDENT. 
          MRR    80/12/08    APPLIES TO FTN 5.1 . 
  
 FC5A321  COMCPAC/PAC,COMFCIP,FTN,PUC,INIT00/KEYS.  CORRECT LOOP TEST 
          FOR SCANNING MULTIPLE BINARY VALUE OPTIONS SO THAT ONLY LEGAL 
          OPTIONS ARE TESTED.  PREVENTS OPTION OF NEXT PARAMETER BEING
          USED. 
          MRR    81/01/13    APPLIES TO FTN 5.1 . 
  
 FC5A323  PAR/GFR.  CORRECTLY SET SQUEEZE TEST LIMIT WHEN PROCESSING
          FUNCTION REFERENCES.
          MRR    81/01/12    APPLIES TO FTN 5.1 . 
  
 FC5A325  KEY/NAM.  MARK NAMELIST GROUP ITEMS AS VARIABLE TO BE ABLE TO 
          DIAGNOSE LATER INVALID USAGE. 
          MRR    81/01/16    APPLIES TO FTN 5.1 . 
  
 FC5A330  DECL/CCC.  FIX LOOP THROUGH T.BLKS.  BROKEN BY FC5A312. 
          MRR    81/01/30    APPLIES TO FTN 5.1 . 
  
 FC5A333  INIT00/CSERRS/MIB.  CORRECT THE TEXT OF VARIOUS CONTROL 
          STATEMENT DIAGNOSTICS.
          MRR    81/02/19    APPLIES TO FTN 5.1 . 
  
 FC5A335  FEC/FEC,FERRS.  ADD ANSI DIAGNOSTIC FOR SEQUENCE MODE INPUT.
          MRR    81/02/23    APPLIES TO FTN 5.1 . 
  
 FC5A337  FEC/CUS,GEN.  BYPASS BEGINNING OF STATEMENT TURPLE OUTPUT FOR 
          DATA STATEMENTS.  PREVENTS EXTRANEOUS GENERATION OF DEBUG CODE
          BY QCG. 
          MRR    81/04/10    APPLIES TO FTN 5.1 . 
  
 FC5A338  FERRS,KEY/CLL,TYPE/TYP,IO/BUF/CUD/PFN,PAR/TRE.  FIX THE 
          FOLLOWING MINOR PROBLEMS: 
          1.  OUTPUT CORRECT REFERENCE CHARACTER FOR BUFFER I/O FWA/LWA.
          2.  PRODUCE DIAGNOSTIC FOR INTERNAL FILE WITH FREE FORMAT.
          3.  PRODUCE DIAGNOSTICS FOR SUBROUTINE ENTRY AND EXTERNAL SUB-
              ROUTINE WHICH APPEAR IN TYPE DECLARATION. 
          4.  OUTPUT CORRECT REFERENCE CHARACTER FOR INTERNAL FILES.
          MRR    81/03/06    APPLIES TO FTN 5.1 . 
  
 FC5A341  KEY/EIF,LABEL/GSL/ALU.  MODIFY ANALYSIS OF LABEL USAGE IN 
          BLOCK CONTEXT FOR ENDIF STATEMENT.  ALLOW ENDIF TO BE ACCESSED
          OUTSIDE THE BLOCK IT CLOSES.
          MRR    81/04/15    APPLIES TO FTN 5.1 . 
  
 FC5A343  IO/SFP.  AVOID SETTING ACCESS ATTRIBUTE INFORMATION BASED UPON
          AUXILLARY I/O STATEMENTS.  ACCESS CANNOT BE DETERMINED AT 
          COMPILE TIME. 
          MRR    81/04/23    APPLIES TO FTN 5.1 . 
  
 FC5A345  FSCALE.  CORRECT THE OVERFLOW TEST TO BE ABLE TO DIAGNOSE 
          INVALID FLOATING CONSTANTS AT COMPILE TIME. 
          MRR    81/05/06    APPLIES TO FTN 5.1 . 
  
 FC5A348  COMFCIP,FTN5TXT,INIT00/CFL.  FORCE THE DEFAULT VALUE OF THE EC
          CONTROL STATEMENT PARAMETER TO REFLECT THE SELECTION OF CT.ECS
          OPTION AT INSTALLATION TIME OF ECS/LCM.  DESELECT EC IF NO
          ECS/LCM IS AVAILABLE AT COMPILE TIME. 
          MRR    81/06/29    APPLIES TO FTN 5.1 . 
  
 FC50252  COMSSYM,REC/END,FAS/FI=SUBI/BST.  MAKE THE FP.CA AND FP.LEN 
          FIELDS IN T.FPI DISTINCT.  PREVENTS CCG CONFUSION WHEN MAKING 
          LOCAL COPIES OF DUMMY ARGUMENTS AT OPT=2.  REQUIRES CCGA043.
          MRR    81/04/13    APPLIES TO FTN 5.1 . 
  
 FC50264  COMFWIN/WIN,REG/CRJ,FAS/RAD.  MODIFY HANDLING OF TRACE WORD 
          [SB0+0, SB0+LINE NO.] FOR LARGE LINE/SEQUENCE NUMBERS.  CODE
          ACCOMODATES OPT .GT. 0 AND REQUIRES CCGA041 FOR CORRECT ACTION
          IN ALL CASES.  FL50429 IS REQUIRED FOR PROPER RUN TIME LISTING
          OF LINE/SEQUENCE NUMBERS. 
          MRR    81/04/03    APPLIES TO FTN 5.1 . 
  
 FC50267  LEX/TOGEL.  CHANGE THE DEFAULT EXIT FROM CASEIF TO TOK=ILL. 
          PREVENTS LOOPING WHEN 63 CHARACTER SET ENVOKED. 
          MRR    81/01/26    APPLIES TO FTN 5.1 . 
  
 FC50281  PAR/PAR.SUB.  WHEN DB=SB IS SELECTED, RESET SQUEEZE LIMIT FOR 
          EACH SUBSCRIPTED ARRAY.  PREVENTS INCORRECT CODE BEING GEN- 
          ERATED FOR APLISTS FOR THE SUBSCRIPT BOUND CHECK ROUTINE. 
          MRR    81/01/19    APPLIES TO FTN 5.1 . 
  
 FC50297  MAP/CBS/OECI/OML/TAB/NAME.  CONVERT THE COMMON/EQUIVALENCE MAP
          TO A TABULAR FORMAT.
          MRR    81/01/28    APPLIES TO FTN 5.1 . 
  
 FC50299  FTN5TXT,DECL/EQS/EQU.  MODIFY EQUIVALENCE DIGESTION TO ALLOW
          ARRAYS WITH NON-UNITY LOWER BOUNDS.  PREVENTS INVALID 
          DIAGNOSTICS AND INCORRECT EQUIVALENCING FOR SUCH ARRAYS.
          MRR    81/01/09    APPLIES TO FTN 5.1 . 
  
 FC50318  KEY/STP/GOT/GOA/EIF/IFL.  WHEN NO LABEL IS TO BE GENERATED
          FOR THE ENDIF AND NOPATH IS IN FORCE (I.E., ALL BLOCK OF THE
          IF STRUCTURE END IN UNCONDITIONAL CONTROL TRANSFER), LEAVE
          NOPATH IN EFFECT.  ALLOWS MORE THOROUGH NOPATH DIAGNOSIS AND
          ALLOWS SOME REDUCTION OF CODE GENERATION.  WILL SUPRESS SOME
          UNNECESSARY **DEAD CODE** CODE DIAGNOSTICS AT OPT=2.
          MRR    81/05/26    APPLIES TO FTN 5.1 . 
  
 FC50336  FTN5TXT,DATA/CRL.  WHEN REPEAT COUNT ON A DATA ITEM LIST IS 
          .GT. 77777B (LOADER LIMIT), SPLIT THE THE REPEATED LIST,
          DUPLICATING CONSTANTS AND ADJUSTING THE REPEAT COUNT TO VALID 
          SIZE.  CONTINUE UNTIL REPEAT COUNT SATISFIED. 
          MRR    81/01/23    APPLIES TO FTN 5.1 . 
  
 FC50345  COMCPAC/GNC.  MODIFY HANDLING OF CONTINUED CONTROL STATEMENTS 
          TO ACCOMADATE SCOPE 2.  NOTE:  THIS CORRECTIVE CODE ASSUMES 
          THAT FTN5 IS INSTALLED ON SCOPE 2 WITH LDSET(NOREAD). 
          MRR    81/04/16    APPLIES TO FTN 5.1 . 
  
 FC50353  PUC/WHL,PEM/PEM,INIT00/PPW,LEX/LSL,HEADER/DCM,FAS,MAP,LIST. 
          MODIFY HANDLING OF PW PARAMETER TO HONOR THE RANGE 126-135
          CORRECTLY.
          MRR    81/01/13    APPLIES TO FTN 5.1 . 
  
 FC50372  PAR/SHIFT.  WHEN A NULL SHIFT IS ELIMINATED, RESET THE SHIFT
          VALUE OPERAND MODE TO BOOLEAN.
          MRR    81/01/16    APPLIES TO FTN 5.1 . 
  
 FC50374  PAR/CONO.  MARK *(* AND *=* AS ILLEGAL SUCCESSOR ELEMENTS FOR 
          CHARACTER AND HOLLERITH CONSTANTS.  ALLOWS CORRECT DIAGNOSIS
          OF INVALID CONDITIONS.
          MRR    81/01/15    APPLIES TO FTN 5.1 . 
  
 FC50377  PAR/PAR.  AFTER DIAGNOSING AN INVALID FIRST ELEMENT FOR AN
          EXPRESSION, UPDATE THE TOKEN BUFFER POINTER TO ALLOW GRACEFUL 
          RECOVERY. 
          MRR    81/01/20    APPLIES TO FTN 5.1 . 
  
 FC50378  IO/DCB.  AFTER GETTING TP. FORMAT OF VARIABLE SIZE MULTIPLIER 
          FOR AN IMPLIED DO PARTIAL COLLAPSE SIZE, PUT IT IN THE CORRECT
          REGISTER FOR TURPLE PRODUCTION. 
          MRR    81/01/26    APPLIES TO FTN 5.1 . 
  
 FC50387  HEADER/SAL.  CORRECT THE CROSS REFERENCE CHARACTER FOR DUMMY
          ARGUMENTS.
          MRR    81/02/02    APPLIES TO FTN 5.1 . 
  
 FC50391  PAR/ADT/CBB.  MAKE ALL NON-CHARACTER VARIABLE OPERANDS BASE/
          BIAS FORMAT.  ALLOWS QCGC TO GENERATE PROPER CODE WHEN EQUIV- 
          ALENCED VARIABLES ARE INVOLVED IN REPLACEMENT STATEMENTS. 
          MRR    81/02/26    APPLIES TO FTN 5.1 . 
  
 FC50392  FLINK/PDC,PAR/POP.DIV,CONRED/CTA.  WHEN ROUND SELECTION FOR 
          MULTIPLY AND DIVIDE OPERATIONS IS DIFFERENT, SUPRESS THE
          MULTIPLY BY RECIPROCAL OPTIMIZATION.
          MRR    81/02/05    APPLIES TO FTN 5.1 . 
  
 FC50396  PAR/PAR.STOP.  WHEN ABORTING THE PARSE, DETERMINE IF AN I/O 
          IMPLIED DO IS STILL LIVE, AND IF SO, MARK FOR REMOVAL BY PSL. 
          MRR    81/02/13    APPLIES TO FTN 5.1 . 
  
 FC50409  FERRS,HEADER/COVC.  ALLOW SUBROUTINES WITH DUMMY ARGUMENTS TO 
          APPEAR FOLLOWING AN OVCAP DIRECTIVE.
          MRR    81/02/26    APPLIES TO FTN 5.1 . 
  
 FC50417  PAR/SETOPS.  INHIBIT FRONT END SQUEEZE OF CHARACTER SUBSTRING 
          TURPLES (O=COLON/O=SUBST).  PREVENTS TRANSFORMATION PROBLEMS
          IN BRIDGE.
          MRR    81/03/30    APPLIES TO FTN 5.1 . 
  
 FC50437  DATA/CSC.  INSERT PROTECTION CODE AROUND REFERENCE OUTPUT 
          TO KEEP POINTERS STRAIGHT SHOULD A STATEMENT FUNCTION BE
          IN PROGRESS.  PREVENTS STRANGE AND RANDOM COLLECTION OF 
          DIAGNOSTICS.
          MRR    81/04/09    APPLIES TO FTN 5.1 . 
  
 FC50438  FERRS,DECL/DIR,PAR/TRE.  DIAGNOSE USE OF ADJUSTABLE DIMENSIONS
          ON ARRAYS IN MAIN PROGRAM OR COMMON ARRAYS.  PREVENTS MISLEAD-
          ING DIAGNOSTICS BEING OUTPUT DOWNSTREAM.
          MRR    81/04/06    APPLIES TO FTN 5.1 . 
  
 FC50443  DECL/APT.  CORRECT THE TEST FOR COMMON BLOCK LENGTH.
          MRR    81/04/07    APPLIES TO FTN 5.1 . 
  
 FC50445  PAR/PAR.STFD.  WHEN PERFORMING THE ASSOCIATION OF STATEMENT 
          FUNCTION ACTUAL ARGUMENT WITH THE DUMMY ARGUMENT, RESET THE 
          ATTRIBUTE SUMP TO REFLECT THE ACTUAL ARGUMENT.  PREVENTS
          PARSER GOING AWRY WHEN MODE COERSION IS REQUIRED. 
          MRR    81/04/07    APPLIES TO FTN 5.1 . 
  
 FC50451  FTN5TXT,KEY/RTN,MAP.  OUTPUT REFERENCES FOR RETURN STATEMENTS 
          IN SUBROUTINE SUBPROGRAMS WHEN LO=R.
          MRR    81/05/22    APPLIES TO FTN 5.1 . 
  
 FC50452  COMFWIN/WIN,QCGC.  WHEN OUTPUTTING A BOS PSEUDO TO F.PB AND 
          DB=ID WAS REQUESTED, FORCE UPPER FOR LINE NUMBER TABLE ACCESS.
          THIS KEEPS QCG ORIGIN COUNTER IN SYNCH WITH THAT IN FAS.
          MRR    81/04/29    APPLIES TO FTN 5.1 . 
  
 FC50457  CGHCSTD,HCDEFS,LIST/KTX/WAP.  CHANGE THE OBJECT LISTING 
          MNEMONIC FOR LCM POINTER WORDS FROM LC.N TO LP.N TO AVOID 
          CONFUSION WITH LOCAL COPY (OF DUMMY ARGUMENTS) MNEMONIC.
          INSURE CORRECT OBJECT LISTING ADDRESS OF THE POINTER WORDS
          WHEN NO APLISTS ARE PRESENT.
          MRR    81/05/05    APPLIES TO FTN 5.1 . 
  
 FC50460  IO/DOCS.  SUPRESS I/O IMPLIED DO COLLAPSE FOR ARRAYS WHICH
          HAVE EXPRESSIONS AS SUBSCRIPTS. 
          MRR    81/05/01    APPLIES TO FTN 5.1 . 
  
 FC50474  FERRS,PAR/STFE.  PROVIDE A MORE MEANINGFUL DIAGNOSTIC WHEN
          MODE COERSION OF A STATEMENT FUNCTION RESULT TO THE FUNCTION
          TYPE IS INVALID.
          MRR    81/05/07    APPLIES TO FTN 5.1 . 
  
 FC50475  FLINK/PDC.  AVOID CONSTANT INVERSION (DIVIDE TO MULTIPLY
          OPTIMIZTION) WHEN DIVISOR IS LONG BOOLEAN CONSTANT. 
          MRR    81/05/14    APPLIES TO FTN 5.1 . 
  
 FC50480  LEX/KEYW,CDDIR/COL.  DON'T RESET THE COLLATE DIRECTIVE CELL AT
          THE TIME A C$ COLLATE DIRECTIVE IS PROCESSED. THIS IS A CODE
          GENERATOR FUNCTION, AND TO PERFORM IT AT PARSE TIME CAN CAUSE 
          THE WRONG CHARACTER FUNCTION TO BE CALLED AT OPT=0. 
          MRR    81/05/28    APPLIES TO FTN 5.1 . 
  
 *L564*    ************************************************ 
 FC5*82   FTN. UPDATE COPYRIGHT INFORMATION FOR 1982. 
          MRR    81/09/10    APPLIES TO FTN 5.1 . 
  
 F1039    COMCPAC,COMFTTL,FTN,PUC,INIT00,FEC,HEADER.
          REVISE MAIN TITLE TO CONTAIN CURRENT VALUES OF ROUND OPTIONS
          AND DIRECTIVE SUPPRESSION STATUS. A SECOND LINE WILL CONTAIN
          CURRENT VALUES OF DO LOOP CONTROL OPTIONS, ARGUMENT LIST
          ATTRIBUTES, COLLATING SEQUENCE OPTIONS, DEBUGGING OPTIONS 
          AND PRINT LIMIT. A THIRD LINE WILL CONTAIN THE FORTRAN CALL 
          STATEMENT AND IS LIMITED TO THE FIRST 120 CHARACTERS. 
          SSK    81/05/11    APPLIES TO FTN 5.1 . 
  
 FC5A360  MAP/CLS/TYP.  FIX THE FOLLOWING REFERENCE MAP PROBLEMS: 
          1. WHEN AN DECLARED EXTERNAL IS NOT USED AS SUBROUTINE OR 
             FUNCTION, TYPE SHOULD BE NULL. 
          2. WHEN A FUNCTION IS DECLARED EXTERNAL, THAT CLASS SHOULD
             APPEAR.
          MRR    81/10/13    APPLIES TO FTN 5.1 . 
  
 FC5A369  FMT/FMT/FMT=EOS, FAS/KIO.  INSERT THE LENGTH (CHARACTERS) OF A
          FORMAT STATEMENT TEXT IN THE RELEVANT APLIST(S) [OA.LEN]. 
          ALLOWS FASTER FORMAT PROCESSING BY THE LIBRARY. 
          MRR    81/10/06    APPLIES TO FTN 5.1 . 
  
 FC5A370  CHANGE CWEORS TO WEORS AND *TESTFTN* DEF TO *TEST*. 
          SCC    10/19/81    CWEOR1-5, WEOR1*-5*, FWACOM, OPTIONS, IDP, 
                             OVL00, OVL10, OVL20, OVL21, OVL22, OVL23 
  
 FC5A371  FERRS,LABEL/CDI/KDI.  DIAGNOSE DO STATEMENTS WITH M1+M3 OR
          M2+M3 .GT. 2**17-1 AND DO=LONG NOT SELECTED.
          MRR    81/11/10    APPLIES TO FTN 5.1 . 
  
 FC5A373  FAS/KIO.  CORRECT THE SETTING OF THE LENGTH/INDIRECT FIELDS 
          FOR BUFFER I/O FWA/LWA APLIST ENTRIES.
          MRR    81/10/29    APPLIES TO FTN 5.1 . 
  
 FC5A374  FERRS.  REWORD DIAGNOSTIC TO REFLECT INVALID REDUNDANT
          PARENTHESES IN AN I/O LIST. 
          MRR    81/10/22    APPLIES TO FTN 5.1 . 
  
 FC50239  QCGC/CAI,FUN/PAS.  CORRECT BAD CODE GENERATION FOR ACTUAL 
          ARGUMENTS WHICH ARE CHARACTER EXPRESSIONS INVOLVING CONCAT- 
          ENATION OF SUBSTRINGS OR ARRAY ELEMENTS.  CLEAR THE APLIST
          FLAG CELLS AT EACH ITERATION OF CAI TO PREVENT CARRY OVER OF
          INFORMATION FROM A PREVIOUS APLIST STRUCTURE. 
          MAH/MRR 81/07/16         APPLIES TO FTN 5.1, OPT=0. 
  
 FC50326  COMSSYM,COMSSYC,HEADER/SAL,KEY/AGN/NAM/GOA,PAR/TRE,STMTF/SFD, 
          QCGC/SMB,MAP/BLK/PRP.  DONT ALLOCATE STORAGE FOR VARIABLES
          WHICH APPEAR ONLY AS STATEMENT FUNCTION DUMMY ARGUMENTS.
          SUPRESS ATTRIBUTES FOR SUCH VARIABLES IN MAP LISTINGS.
          MRR    81/07/20    APPLIES TO FTN 5.1 . 
  
 FC50408  REG/SLD 
          ADDRESS FUNCTION REGISTER NOT LOCKED WHEN ADDRESS FUNCTION
          AND ARRAY LOAD CLAIM SAME REGISTER. 
          SSK    81/09/17    APPLIES TO FTN 5.1, OPT=0. 
  
 FC50413  IO/CVL.  SUPRESS TURPLE SQUEEZE FOR I/O ARGUMENTS.  PREVENTS
          BAD CODE GENERATION AT OPT=0 WHEN FUNCTION CALLS APPEAR IN
          I/O ARGUMENT LISTS. 
          MRR    81/07/21    APPLIES TO FTN 5.1 . 
  
 FC50478  PAR/PAR.EOS.  BYPASS SPECIAL END-OF-STATEMENT PROCESSING WHEN 
          LAST TURPLE PROCESSED IS AN ERROR TURPLE.  AVOIDS ATTEMPTING
          TO SYNTHESIZE GARBAGE.
          MRR    81/09/29    APPLIES TO FTN 5.1 . 
  
 FC50483  KEY/IFL.  DIAGNOSE AN INVALID 3-BRANCH EXPRESSION EARLIER IN
          THE IF ANALYSIS.  ALLOWS DIAGNOSTIC TO APPEAR FOLLOWING THE 
          PROPER SOURCE LINE. 
          MRR    81/08/04    APPLIES TO FTN 5.1 . 
  
 FC50488  MAP/DMF/SRNI.  CORRECT SETUP FOR MAP MODULE PROCESSING. 
          PREVENTS BAD SORT OF LO=A LISTING WHEN MULTIPLE PAGES ARE 
          INVOLVED. 
          MRR    81/08/03    APPLIES TO FTN 5.1 . 
  
 FC50496  HEADER/PSA.  MAKE A NEW SEARCH LOOP FOR T.ENTP ENTRIES.  USING
          NCM ALLOWED PROPER SUBSETS OF PARAMETER LISTS TO BE NOTED AS A
          MATCH, RESULTING IN BAD ENTRY CODE FOR PASSED LENGTH CHARACTER
          ARGUMENTS.
          MRR    81/07/28    APPLIES TO FTN 5.1 . 
  
 FC50512  HEADER/PSA,DECL/PCF.  INSERT AN ENTRY INTO T.ENTP FOR VALUE.
          OF CHARACTER FUNCTIONS WITH ASSUMED SIZE.  ALLOWS PROPER CODE 
          GENERATION FOR SUCH FUNCTIONS.
          MRR    81/09/16    APPLIES TO FTN 5.1 . 
  
 FC50514  FTN5TXT,LABEL/GSL,MAP/STS.  WHEN LO=R IS SELECTED, SUPRESS
          REFERENCE MAP OUTPUT FOR SYMBOLS WITH NO ACCOCIATED 
          REFERENCES.  PROVIDE REFERENCE FOR LABEL DEFINITIONS. 
          MRR    81/12/02    APPLIES TO FTN 5.1 . 
  
 FC50515  TYPE/TYP.  DIAGNOSE MULTIPLE TYPE DECLARATIONS (CONFIRMING) OF
          SYMBOLIC CONSTANTS (PARAMETERS).
          MRR    81/06/27    APPLIES TO FTN 5.1 . 
  
 FC5A339  TYPE/TYP.  PRESERVE THE SYMBOL TABLE ORDINAL OF A TYPED ITEM
          UNTIL THE RELEVANT CROSS REFERENCE ENTRY IS MADE.  PREVENTS 
          MAP PROBLEMS (MODE ERRORS, ETC.) WHEN A BAD REFERENCE IS MADE.
          MRR    81/11/05    APPLIES TO FTN 5.1 . 
  
 FC5A390  PAR/POP.EXP.  CORRECT TEST FOR INLINE VS. LIBRARY EXPONENT- 
          ATION.  FIXES BOUNDARY VALUE OF CONSTANT POWER OF 17, WHICH 
          WAS COMPILED INLINE (WHEN NO SKELETON EXISTED). 
          MRR    82/02/10    APPLIES TO FTN 5.1 . 
  
 FC50518  INIT20.  WHEN (2,0) OVERLAY IS CALLED AND THE LAST RECORD READ
          WAS AN EOR, INITIALIZE THE BINARY (LGO) FILE, IF NECESSARY. 
          ALLOWS AN EOP TO BE WRITTEN (SCOPE 2) WHEN COMPASS PROGRAM
          UNITS ARE THE ONLY COMPILED.
          MRR    81/11/03    APPLIES TO FTN 5.1 . 
  
 FC50533  DECL/MCA.  EXTRACT THE CT.LNK FIELD (FROM T.COMM) CORRECTLY.
          PREVENTS MODE ERROR WHEN LARGE NUMBER OF COMMON ITEMS ARE 
          PRESENT.
          MRR    81/07/27    APPLIES TO FTN 5.1 . 
  
 FC50545  COMFWIN/WI=BOS,QCGC 
          THE DB=0/ST CONTROL CARD OPTION CAUSES THE ORIGIN COUNTER 
          TO GET OUT OF SYNCH WITH COUNTER IN FAS. TO KEEP COUNTERS 
          IN SYNCH THE ORIGIN COUNTER MUST BE ADVANCED WHEN A FORCED
          UPPER OCCURS AT BEGINNING OF NEXT LINE WITH ABOVE CONTROL 
          CARD OPTION.
          SSK    81/08/31    APPLIES TO FTN 5.1 . 
  
 FC50553  FMT/FMT=RP.  FIX THE FOLLOWING FORMAT STATEMENT BUGS: 
          1. ALLOW 9 LEVELS OF PARENTHESES NESTING WITHIN FORMAT
             STATEMENT. 
          2. DIAGNOSE NULL EDIT DESCRIPTOR OF FORM ( ). 
          MRR    81/09/21    APPLIES TO FTN 5.1 . 
  
 FC50554  DATA/BIT.  SET FILL. WITH NAME OF SUPPOSED SYMBOLIC CONSTANT
          TO PROVIDE PROPER DIAGNOSTIC SHOULD THE DATA CONSTANT LIST
          ITEM PROVE TO NOT BE A PARAMETER. 
          MRR    81/09/18    APPLIES TO FTN 5.1 . 
  
 FC50555  FERRS, FMT/DIG/AED.  DIAGNOSE FAULTY EDIT DESCRIPTORS OF THE
          FORM F10. 
          MRR    81/09/22    APPLIES TO FTN 5.1 . 
  
 FC50557  IO/BFWA/BLWA.  ON BUFFER I/O, CONVERT THE BUFFER FWA AND LWA
          SPECIFIERS TO BASE/BIAS FORMAT.  PREVENTS SPURIOUS DIAGNOSTICS
          ON EQUIVALENCED ARRAYS. 
          MRR    81/09/21    APPLIES TO FTN 5.1 . 
  
 FC50558  FEC/FVD, HEADER/SAL, DECL/PCD/ACV.  ADD A VARDIM ENTRY FOR
          PASSED LENGTH CHARACTER FORMAL PARAMETER WHOSE F.P. OCCURANCE 
          IS ON AN ENTRY STATEMENT.  ALLOWS PROPER VD. MATERIALIZATION. 
          MRR    81/10/02    APPLIES TO FTN 5.1 . 
  
 FC50560  PAR/PAR.OCT.  PROVIDE ANSI DIAGNOSTIC FOR OCTAL CONSTANTS.
          MRR    81/09/21    APPLIES TO FTN 5.1 . 
  
 FC50562  MAP/ARG.  INDICATE VARIABLE FOR NUMBER OF ARGUMENTS ON THOSE
          INTRINSIC FUNCTIONS WHICH HAVE NO LIMIT ON ARGUMENTS. 
          MRR    81/10/13    APPLIES TO FTN 5.1 . 
  
 FC50567  FEC/PUP.  INITIALIZE FORMAL PARAMETER COUNT CELL TO AVOID 
          CARRY OVER FROM PROGRAM UNIT TO UNIT. 
          MRR    81/09/22    APPLIES TO FTN 5.1 . 
  
 FC50570  DATA/BIT/ASC/CFC/CHC/CPR/CSC, DECL/LVL.  REMOVE THE ADDREF
          CALL FROM CSC AND ESTABLISH SUCH CALLS WHERE REQUIRED.
          PREVENTS DUPLICATION OF REFERENCES (LO=R) WHEN A COMPLEX
          CONSTANT TRY FAILS. 
          MRR    81/11/23    APPLIES TO FTN 5.1 . 
  
 FC50573  IO/DOCS.  FIX TEST FOR DATA INTERFERENCE ON IMPLIED DO IN 
          DEFINING STATEMENTS (READ & DATA).  BROKEN BY FC5A256.
          MRR    81/10/06    APPLIES TO FTN 5.1 . 
  
 FC50586  BRIDGE/SUB.  TREAT INTRINSIC FUNCTION REFERENCES AS USER
          FUNCTIONS WHEN DB=TB IS SELECTED.  PREVENTS OPT=2 KILLING 
          NECESSARY STORES TO APLIST ITEMS. 
          MRR    81/11/17    APPLIES TO FTN 5.1 . 
  
 FC50592  TYPE/CCL.  CORRECT EXIT CONDITIONS FROM CCL AFTER ERROR IS
          DIAGNOSED.  PREVENTS SUBSEQUENT SPURIOUS DIAGNOSTICS AND
          POSSIBLE MODE ERRORS. 
          MRR    81/10/22    APPLIES TO FTN 5.1 . 
  
 FC50593  FEC/ESY.  SUPRESS THE ANSI DIAGNOSTIC FOR 7 CHARACTER NAMES 
          FOR THE COMPILER GENERATED I/O UNIT NAMES [TAPEXXX].
          MRR    81/10/22    APPLIES TO FTN 5.1 . 
  
 FC50596  IO/ICIX.  ALLOW I/O CONTROL KEYWORD BUFL=0. 
          MRR    81/10/28    APPLIES TO FTN 5.1 . 
  
 *L577*    ************************************************ 
 FC5A346  REG,GEN 
          ANTICIPATE THE POSSIBILTY OF A STORE REGISTER BEING WIPED OUT 
          AT *I* REGISTER SELECTION TIME. IF TAG IS IN A STORE REGISTER 
          AT J * K  REGISTER SELECTION TIME AND THE OTHER STORE REGISTER
          IS A TEMPORARY , GET A TEMPORARY CLASS REGISTER , IF ITS USE
          COUNT IS ZERO PROCEED NORMALLY ELSE GET A LOAD CLASS REGISTER,
          IF TAG IS STILL IN STORE REGISTER TRANSMIT TO LOAD REGISTER 
          ELSE RELOAD TAG.
          SSK    81/11/20    APPLIES TO FTN 5.1 . 
  
 FC5A375  REG. FORCE RELOAD OF A TAG WITH A SCALAR OFFSET IF FOLLOWING
          CONDITIONS EXIST. 1. NOT LAST USE OF TAG 2. A SUBSCRIPTED 
          STORE IS FOUND BEFORE NEXT USE OF TAG.
          SSK    82/02/12    APPLIES TO FTN 5.1, OPT=0. 
  
 FC5A380  FMT/FMT=RP.  DIAGNOSE MISSING SEPARATOR IN FORMAT STATEMENT,
          FOLLOWING RIGHT PARENTHESIS.
          MRR    82/02/03    APPLIES TO FTN 5.1 . 
  
 FC5A381  FERRS,CONRED/OCT.  DIAGNOSE INVALID HEXADECIMAL DIGITS IN 
          HEXADECIMAL CONSTANT. 
          MRR    82/01/04    APPLIES TO FTN 5.1 . 
  
 FC5A385  FERRS, PAR/CSM.  ALLOW ALL ARITHMETIC MODE EXPRESSIONS AS 
          SUBSTRING BOUNDS.  PROVIDE MODE CONVERSION AND ANSI 
          DIAGNOSTIC AS NEEDED. 
          MRR    81/01/22    APPLIES TO FTN 5.1 . 
  
 FC5A386  DECL/PRM.  CORRECTLY SET FILL. FOR POSSIBLE USAGE CONFLICT IN 
          PARAMETER DEFINITION. 
          MRR    82/03/17    APPLIES TO FTN 5.1 . 
  
 FC5A388  CSNAP,FSNAP,RSNAP.  CLEAN UP SYSTEM MODE INSTALLATION COPYL 
          MESSAGES FOR CSNAP, FSNAP AND RSNAP BY CONDITIONAL UPDATE OF
          THE TARGET DECK.  THE FRAME HAS ALREADY BEEN SET UP THIS WAY. 
  
          SCC    82/03/19    APPLIES TO FTN 5.1 . 
 FC5A391  FTN5TXT,MAP.  REMOVE IFBIT MACRO, AS OBSOLETE.  FUNCTIONS ARE 
          CLEARER USING SBIT AND APPROPRIATE CONDITIONAL BRANCH.
          MRR    82/02/11    APPLIES TO FTN 5.1 . 
  
 FC5A395  BRIDGE/PNA.   RELOAD NAMELIST TABLE POINTER AFTER AN ALLOCATE.
          A MODE 1 OCCURED ON NOS/BE AT R2B USING THE COMPILER ON 
          THE SYSTEM. PROBLEM WOULD NOT OCCUR USING A LOCAL TEST MODE 
          OR LOCAL SYSTEM MODE COMPILER. A DUMP SHOWS THAT TABLE NLST 
          WAS MOVED AFTER THE ALLOCATE , HOWEVER THE CODE CONTINUED TO
          USE POINTERS SETUP BEFORE THE ALLOCATE. 
          SSK    82/03/23    APPLIES TO FTN 5.1 , OPT=2.
  
 FC5A399  HCDEFS,PUC.  PROVIDE CCG ENTRY POINT.  SUPPORT FOR CCGA072. 
          MRR    82/04/26    APPLIES TO FTN 5.1 . 
  
 FC5A404  PUC/ENDFTN.  WHEN THE GO CONTROL STATEMENT OPTION IS IN FORCE,
          ISSUE MEMORY REQUEST FOR LCM TO RETURN TO INITIAL VALUE.
          MRR    82/05/25    APPLIES TO FTN 5.1 . 
  
 FC50464  IO/IDC,PAR,MAP/REF.  FIX FOLLOWING LO=R GLITCHES: 
          1. SUPRESS EXTRANEOUS REFERENCES ON IMPLIED DOS.
          2. CORRECT REFERENCE CHARACTERS FOR IMPLIED DO INDUCTION
             VARIABLES. 
          3. PREVENT LOSS OF I/O UNIT REFERENCES IN FUNCTIONS.
          MRR    82/04/06    APPLIES TO FTN 5.1 . 
  
 FC50587  REG/CWI 
          ON ENTRY TO CWI(REG) B2 CONTAINS *OTR* TO PROCESS. CODE 
          ASSUMES B2 POINTS TO AN *X* REGISTER - *0TR* MAY POINT
          TO AN *A* REGISTER. 
          SSK    81/11/24    APPLIES TO FTN 5.1 . 
  
 FC50594  FLINK/LPE,LABEL/CDI/PDT.  WHEN THE TRIP COUNT OF A DO LOOP IS 
          PRECISELY ONE, ELIMINATE DO BEGIN AND CONCLUSION TURPLES. 
          ALLOWS MORE EFFICIENT QCG CODE AND CORRECT CODE FOR CCG.
          MRR    82/04/21    APPLIES TO FTN 5.1 . 
  
 FC50600  FEC/FEC.BY.  REMOVE SOME UNNECESSARY CODE.
          MRR    82/01/12    APPLIES TO FTN 5.1 . 
  
 FC50603  REG/SLD. AN LCM ADDRESS FUNCTION MAY CAUSE A HANG BECAUSE 
          OF SWITCHING *OTR* TO POINT TO AN X REGISTER AND RESULTS
          IN A REGISTER CONFLICT TEST HANG. 
          SSK    82/01/29    APPLIES TO FTN 5.1 . 
  
 FC50606  KEY/NAM.  CORRECT RECOVERY WHEN ERRORS DETECTED IN NAMELIST 
          MEMBER LIST.  ELIMINATE NAMELIST GROUP FROM T.NLST.  PREVENTS 
          LATER TROUBLE IN END OF DECLARATIVE PROCESSING. 
          MRR    81/11/25    APPLIES TO FTN 5.1 . 
  
 FC50608  FEC/CBN.  SUPPRESS ANSI DIAGNOSTIC FOR COMMON BLOCK NAME USED 
          AS STATEMENT FUNCTION NAME. 
          MRR    81/12/03    APPLIES TO FTN 5.1 . 
  
 FC50610  STMTF/SFD.  WHEN STOPPING COMPILATION OF A STATEMENT FUNCTION 
          DUE TO INVALID DUMMY ARGUMENTS, SCRATCH T.SCR.  PREVENTS USE
          OF TRASH INFORMATION WHICH CAN CAUSE MODE ERRORS. 
          MRR    81/12/04    APPLIES TO FTN 5.1 . 
  
 FC50612  FEC,PAR/POP.PL.  RESET SQUEEZE LIMIT FOR EACH ARGUMENT IN A 
          LIST. INHIBIT TRANSFORMATION [B+A _ A-B] ACROSS ARGUMENTS.
          AVOIDS INVALID SQUEEZE OF ARGUMENTS.
          MRR    81/12/03    APPLIES TO FTN 5.1 . 
  
 FC50616  CCGLINK/CGL/REL, REC/REP.  WHEN B=0 AND LO=-O, SUPRESS CCG
          CALL. 
          MRR    81/12/04    APPLIES TO FTN 5.1 . 
  
 FC50625  FMT/AED.  WHEN EDIT DESCRIPTOR TN IS PROCESSED, CLEAR ALL 
          LEVELS OF RECORD LENGTH ACCUMULATION.  PREVENTS FAULTY
          DIAGNOSTIC. 
          MRR    82/01/27    APPLIES TO FTN 5.1 . 
  
 FC50626  INIT00/PAC=S.  WHEN PROCESSING THE S OPTION, MAKE SURE THERE
          IS NO CARRY OVER OF LIBRARY NAME FROM A PREVIOUS TEXT REQUEST.
          PREVENTS FAULTY COMPASS LOOKUP OF TEXTS.
          MRR    81/12/18    APPLIES TO FTN 5.1 . 
  
 FC50627  KEY/ENT.  AVOID SETTING DEFAULT TYPE FOR ENTRIES IN SUBROUTINE
          SUBPROGRAMS.  PREVENTS CCG CODE PROBLEMS WITH TYPED ENTRIES.
          MRR    81/12/17    APPLIES TO FTN 5.1 . 
  
 FC50628  MAP/LADR.  WHEN PRODUCING THE DO LOOP MAP, INSURE THAT THE
          DO-TOP LABEL ADDRESS IS OUTPUT. 
          MRR    81/12/17    APPLIES TO FTN 5.1 . 
  
 FC50629  LIST/PIK.  WHEN DISASSEMBLING A B-REGISTER CONDITIONAL JUMP,
          PRESERVE THE BI REGISTER ALWAYS (FOR OBJECT LISTING).  ALLOWS 
          TRUER DISASSEMBLY FOR THE TRANSFORM [LE BI,BJ] _ [GE BI,BJ].
          MRR    82/01/15    APPLIES TO FTN 5.1 . 
  
 FC50632  LABEL/CDI.  UPON COMPLETION OF COMPLING THE DO TOP CODE [OF DO
          STATEMENT], FLUSH THE I.L.  PREVENTS BAD REGISTER USAGE BY QCG
          WITHIN THE LOOP.
          MRR    82/01/29    APPLIES TO FTN 5.1 . 
  
 FC50634  PAR/A=CALL.  WHEN EXTRANEOUS CHARACTERS FOLLOWING A CALL
          STATEMENT ARE DIAGNOSED, RESET THE CURRENT TOKEN BUFFER 
          LOCATION TO *EOS* TO PREVENT PARSER PROBLEMS. 
          MRR    81/12/23    APPLIES TO FTN 5.1 . 
  
 FC50636  PEM/PEM.  SUPRESS ERROR COUNT (DAYFILE AND LISTING) FOR 
          DIAGNOSTIC LEVELS DESELECTED BY THE EL PARAMETER. 
          MRR    81/12/28    APPLIES TO FTN 5.1 . 
  
 FC50642  FERRS,KEY/EIF.  DIAGNOSE TRAILING GARBAGE ON ENDIF STATEMENT. 
          MRR    82/01/12    APPLIES TO FTN 5.1 . 
  
 FC50643  FERRS,IO/LST.  PROVIDE ANSI DIAGNOSTIC FOR LIST DIRECTED
          OUTPUT LIST WHICH ENDS WITH COMMA.
          MRR    82/01/12    APPLIES TO FTN 5.1 . 
  
 FC50646  KEY/GOC.  MODIFY TOKEN BUFFER SO THAT UNARY MINUS ON
          COMPUTED GOTO EXPRESSION IS NOT LOST [TREATED AS BINARY]. 
          PREVENTS EXTRANEOUS ERRORS, MODE OUTS ETC.
          MRR    82/02/01    APPLIES TO FTN 5.1 . 
  
 FC50651  FUN/FVS/PCA/PAS, BRIDGE/FVS.  TRUNCATION OCCURS WHEN
          CONCATENATING A CONSTANT LENGTH SUBSTRING OF AN ASSUMED 
          SIZE FORMAL PARAMETER. ANOTHER PROBLEM WAS NOTED WHEN AN
          IO APLIST CONTAINING CONCATENATION EXPRESSIONS INVOLVING
          FORMAL PARAMETERS IS BEING BUILT. THE FIRST PROBLEM WAS 
          CORRECTED BY ADDING CODE IN FUN AND BRIDGE TO RECOGNIZE 
          CONSTANT LENGTH SUBSTRINGS OF ASSUMED SIZE FORMAL 
          PARAMETERS. THE SECOND PROBLEM WAS CORRECTED BY FIXING
          THE CODE WHICH TRIMS BACK T.SAP WHEN GOING FROM LEVEL 
          TWO TO LEVEL ONE DURING APLIST DESTACKING.
          JEM    82/05/25    APPLIES TO FTN 5.1 . 
  
 FC50652  PAR/PAR.STFD.  CLEAR ATTRIBUTE SUMP WHEN PREPARING STATEMENT
          FUNCTION ACTUAL ARGUMENTS FOR MODE CONVERSION.  PREVENTS CARRY
          OVER OF ATTRIBUTES TO POSSIBLE MODE CONVERSION TURPLES. 
          MRR    82/02/12    APPLIES TO FTN 5.1 . 
  
 FC50656  CONRED/DEC.  WHEN HALTING COMPILATION OF A STATEMENT DUE TO 
          CONSTANT CONVERSION ERRORS, IF DATA STATEMENT IS BEING
          PROCESSED, RETURN TO CLEAN UP DATA TABLES.  PREVENTS
          DOWNSTREAM PROBLEMS.
          MRR    82/02/12    APPLIES TO FTN 5.1 . 
  
 FC50657  INIT00/MIB.  CLOSE [AS NECESSARY] INPUT,OUTPUT,ERRS AND LGO 
          FILES WHEN AN EMPTY INPUT FILE IS DISCOVERED. 
          MRR    82/02/12    APPLIES TO FTN 5.1, SCOPE 2. 
  
 FC50662  DECL/G-F-TABLES.  MOVE THE OA.RA FIELD FROM THE HIGH BIT [59].
          THIS ALLOWS A CORRECT SORT OF T.EOT, AND PREVENTS INVALID 
          EQUIVALENCE ADDRESS ASSIGNMENTS.
          MRR    82/04/01    APPLIES TO FTN 5.1 . 
  
 FC50664  PAR/POP.UM.  INCORRECT CODE IS GENERATED FOR STATEMENT
          FUNCTION REFERENCES WHEN OPTIMIZING TO FACTOR OUT UNARY MINUS 
          IN A SUBEXPRESSION.  CORRECTED BY SUPRESSING UNARY MINUS
          FACTORIZATION DURING STATEMENT FUNCTION EVALUATION. 
          JEM    82/03/12    APPLIES TO FTN 5.1 . 
  
 FC50667  HEADER/SAL.  COMPILER WOULD CRASH WITH A MODE 1 ERROR WHEN
          COMPILING THE FOLLOWING STATEMENT:          SUBROUTINE BUG(A, 
          CORRECTED BY ADDING CODE TO TEST FOR PREMATURE EOS IN THIS
          SITUATION.
          JEM    82/03/08    APPLIES TO FTN 5.1 . 
  
 FC50683  IO/IDC.  DO SOME END CASE CHECKING AFTER COMPLETE I/O DO
          COLLAPSE.  ALLOWS DIAGNOSIS OF INVALID TRAILING COMMA ON I/O
          LIST. 
          MRR    82/04/23    APPLIES TO FTN 5.1 . 
  
 FC50686  FEC/PUP. RESET N$LC ( NUMBER OF FORMAL PARAMETER LOCAL COPY 
          CELLS ) TO ZERO BEFORE NEXT PROGRAM UNIT. SYMPTOMS OCCURING 
          WITH THIS PROBLEM WILL VARY AND DEPENDS ON VALUE LEFT FROM A
          PREVIOUS PROCEDURAL SUBPROGRAM UNIT.
          SSK    82/03/16    APPLIES TO FTN 5.1 . 
  
 FC50701  SKEL/STR.D  REVISE THE STR.D SKELETON. TEST CASE SUPPLIED 
          WITH THIS PSR CAUSES GEN TO WIPE OUT THE MOST SIGNIFICANT 
          PART OF A DOUBLE PRECISION VARIABLE WHEN A DP FORMAL
          PARAMETER STORE IS EXECUTED.
          SSK    82/04/13    APPLIES TO FTN 5.1 . 
  
 FC50703  CDDIR/COL.  RESTORE COLLATE DIRECTIVE CELL SET [REMOVED BY
          FC50480].  IT IS NEEDED FOR CORRECT SELECTION OF CHAR/ICHAR 
          INTRINSICS.  BREAK THE CODE SEQUENCE BEFORE PROCESSING SO 
          OPT=0 WILL SELECT THE CORRECT CHARACTER FUNCTIONS [EFFECT OF
          FC50480]. 
          MRR    82/04/08    APPLIES TO FTN 5.1 . 
  
 *L587*    ************************************************ 
 FC5A319  DECL/EQU.  MODIFY EQUIVALENCE OVERLAP SCHEME TO CORRECTLY 
          SUBSUME ALL OVERLAPPING EQUIVALENCE CLASSES.
          DEPENDENCY=FC5A195
          RETRANS=R6A 
          MRR    83/01/21    DECL 
  
 FC5A400  REC/END, CCGC/OSI.  DETERMINE NEED TO OUTPUT SUBI. WORDS BASED
          UPON THE EXISTENCE OF SUB REFERENCES, NOT ON LOCAL COPIES 
          BEING MADE.  BOTH CAN COEXIST WHEN A DUMMY ARGUMENT IS USED 
          AS AN ACTUAL ARGUMENT TO A LIBRARY ROUTINE AND NO DEFINITION
          OCCURS. 
          MRR    82/07/21    REC, CCGC
  
 FC5A403  PAR/TNK.PARM.  AFTER DIAGNOSING INVALID PARENTHESIS FOLLOWING 
          A SYMBOLIC CONSTANT, SAVE THE PARAMETER VALUE FOR ESTACK. 
          PREVENTS COMPILER GOING AWRY WHEN PROCESSING ARGUMENT LISTS.
          DEPENDENCY=FC5A111. 
          MRR    82/05/17    PAR
  
 FC5A406  FAS/PIT.  PUT LCM/ECS INDICATOR IN HARDWARE REQUIREMENTS FIELD
          OF THE PREFIX [7700] TABLE. 
          MRR    82/08/01    FAS
  
 FC5A411  FTN5TXT, PAR/FUN.IS/FUN.IN/ABIF/VAM/VIL.  TREAT BOOLEAN 
          ARGUMENTS TO INTRINSIC FUNCTIONS IN A CONSISTENT MANNER, AS 
          FOLLOWS:  
  
               1.  IF INTRINSIC TYPE IS BOOLEAN, ARGUMENTS ARE UNCHANGED. 
  
               2.  IF ONLY ONE ARGUMENT [BOOLEAN]:  
                   A. IF GENERIC INTRINSIC: 
                      (1) IF INTEGER IS LEGAL, TREAT AS INTEGER [EXCEPT 
                          INTRINSIC FUNCTIONS DBLE, REAL, CMPLX]. 
                      (2) OTHERWISE, TREAT AS REAL. 
                   B. IF SPECIFIC INTRINSIC, TREAT AS REQUIRED MODE.
  
               3.  IF MORE THAN ONE ARGUMENT [AT LEAST ONE ARGUMENT IS
                   BOOLEAN]:  
                   A. GENERIC INTRINSIC:  
                      (1) IF ALL ARGUMENTS BOOLEAN, TREAT AS INTEGER
                          [EXCEPT TREAT ARGUMENTS TO CMPLX AS REAL].
                      (2) OTHERWISE, CONVERT BOOLEAN ARGUMENTS TO HIGHEST 
                          ARGUMENT MODE.
                   B. IF SPECIFIC INTRINSIC, TREAT BOOLEAN ARGUMENTS AS 
                      REQUIRED MODE.
  
          RETRANS=I6D 
          MRR    83/01/14    FTN5TXT, PAR 
  
 FC5A416  MAP. EXPAND ADDRESS SPACE TO ACCOMMODATE LARGE(LCM=G) 
          ADDRESSES.
          SSK    83/01/10    MAP
  
 FC50189  FERRS,PAR/EQL/STC/CDI. ADDED CODE TO CHECK FOR OBVIOUS INTER- 
          FERENCE BETWEEN THE TARGET OF A CHARACTER ASSIGNMENT AND ANY
          OF THE ELEMENTS IN THE SOURCE EXPRESSION. IF INTERFERENCE IS
          DETECTED, A WARNING MESSAGE IS ISSUED FOR EACH INSTANCE OF
          INTERFERENCE. 
          RETRANS=I6B 
          JEM   83/02/08     FERRS, PAR 
  
 FC50467  UTILITY.  INSERT CALL TO FA=WTH FOR TRAILING BLANK SUPRESSION 
          ON SCOPE 2 OUTPUT.  DELETE CALL TO FA=WTC.  THIS CODE REQUIRES
          CONCURRENT INSTALLATION OF CCGA076. 
          DEPENDENCY=FC5A158A.
          MRR    82/07/21    UTILITY
  
 FC50492  LISTLNK/LUS. ADDED CODE IN LIST UNIT STATISTICS ROUTINE 
          TO CALCULATE EXACT LENGTH OF UNIT STATISTICS MESSAGES SO
          PAGE FLIP WILL ONLY BE DONE WHEN ABSOLUTELY NECESSARY.
          DEPENDENCY=FC5A150
          JEM    82/11/05.    LISTLNK 
  
 FC50620  IO/IDC/DCB, PAR/OP.  IMPLIED DO LOOP COLLAPSE IS NOT AS 
          THOROUGH AS COULD BE. IMPLIED DO LOOPS WHERE THE LOWER
          BOUND IS A NON-UNITY CONSTANT AND THE UPPER BOUND IS A SIMPLE 
          VARIABLE ARE NOT BEING COLLAPSED. ALSO LOOPS WHERE THE LOWER
          BOUND IS VARIABLE AND THE UPPER BOUND IS EITHER CONSTANT OR 
          VARIABLE ARE NOT BEING COLLAPSED. LOOPS WHERE THE UPPER BOUND 
          IS VARIABLE AND ONE-TRIP DO IS SELECTED DO NOT GUARANTEE THAT 
          THE ONE-TRIP DO CONVENTION IS OBSERVED. ROUTINE IDC IN MODULE 
          IO HAS BEEN EXTENSIVELY REWORKED TO COLLAPSE IMPLIED DO LOOPS 
          OF THE FORM MENTIONED ABOVE, AND TO GUARANTEE THAT ONE-TRIP 
          DO LOOP CONVENTIONS ARE OBSERVED. 
          DEPENDENCY=FC5A136,FC5A216,FC5A218,FC5A248
          JEM   82/08/27.    IO, PAR
  
 FC50681  INIT23/INI.  ALLOW REW=B TO WORK ON SCOPE 2.
          REQUIRES CONCURRENT INSTALLATION OF CCGA079.
          MRR    82/11/19    INIT23 
  
 FC50684  BRIDGE/PAF.  WHEN IMPLIED DO LOOP COLLAPSE PROCESSES A DOUBLE 
          PRECISION OR COMPLEX DATA ITEM AND THE COLLAPSE LENGTH IS 
          NOT A CONSTANT, BRIDGE GENERATES AN EXTRANEOUS INSTRUCTION
          WHEN GENERATING THE STORE TO TEMP OF THE COLLAPSE LENGTH. 
          THIS CAUSES CCG TO GO INTO A LOOP AT OPT=1, AND TO GET A MODE 
          ERROR AT OPT=2. 
          JEM    82/07/16    BRIDGE.
  
 FC50718  IO/VAI, PAR/EQL/DOC, LABEL/DDR.  SET A FLAG TO INDICATE 
          T.BLST NEEDS AN ENTRY SCRATCHED WHEN A DO STATEMENT REDEFINES 
          AN EXISTING DO CONTROL VARIABLE.  PREVENTS ERRORS DUE TO THE
          PARTIALLY FILLED T.BLST ENTRY.
          DEPENDENCY=FC5A211. 
          MRR    82/04/29    IO, PAR, LABEL 
  
 FC50722  FAS/KIO.  DONT SET THE INDIRECT [LENGTH] BIT FOR ENCODE/DECODE
          SOURCE AND DESTINATION APLIST ENTRIES.  PREVENTS UNPREDICTABLE
          RA+0 ACCESS PROBLEMS. 
          DEPENDENCY=FC5A373. 
          MRR    82/05/06    FAS
  
 FC50728  BRIDGE/ETT/P=FAP/IAC.  CHARACTER FUNCTION REFERENCES WITH 
          ACTUAL PARAMETERS FORMED BY CONCATENATION FAIL TO RETURN
          PROPER RESULT WHEN COMPILED AT OPT>0. CORRECTED BY MAKING 
          TEMP LOCATION ETTA IN ROUTINE ETT OF BRIDGE A TWO WORD
          VECTOR TO ALLOW CONCURRENT USE OF THIS ROUTINE WHICH OCCURS 
          WHEN CONCATENATION IS NESTED IN A CHARACTER FUNCTION REF. 
          JEM    82/06/04    BRIDGE 
  
 FC50729  OPTIONS, HEADER/PPA.  DON'T ALLOCATE BUFFER SPACE FOR FILES ON
          PROGRAM STATEMENT ON SCOPE 2. 
          DEPENDENCY=FC5A145,F1037F5
          MRR    82/05/27    OPTIONS, HEADER
  
 FC50730  FAS/FI=UJP.  PROVIDE FTN5 SUBROUTINE MAIN ENTRIES WITH A
          BLOWUP STYLE ENTRY.  WILL PREVENT TIME LIMIT ON INADVERTENT 
          FALL THROUGH OR OTHER USER PROBLEMS.  THE MODE ERROR IS 
          CLEANER AND PROVIDES INSTANT DEBUG INFORMATION. 
          MRR    82/05/27    FAS
  
 FC50731  HEADER/DCM.  SET UP THE PROGRAM UNIT NAME IN THE TITLE LINE 
          BEFORE PROCESSING THE SYMBOL.  PREVENTS LOSS OF THE NAME IN 
          CASE OF ERRORS. 
          DEPENDENCY=FC50353, F1039.
          MRR    82/05/26    HEADER 
  
 FC50735  INIT00/MIB.  AVOID REWIND OF CONNECTED FILES. 
          MRR    82/05/24    INIT00 
  
 FC50744  COMFFEI/FEI,INIT00,INIT10,INIT21,FEC/PUP.  MOVE THE SETTING 
          OF THE LO=R ON/OFF SWITCH TO PUP FROM FEI.  ALLOWS CORRECT
          LISTINGS WHEN A C$ LIST(R=0) WAS IN EFFECT AT THE END OF A
          PROGRAM UNIT AT OPT=0.
          DEPENDENCY=F1037F5, F1039.
          MRR    82/06/08    COMFFEI, INIT00, INIT10, INIT21, FEC 
  
 FC50748  REG/STS.  PREVENT PREMATURE RELEASE OF REGISTERS DURING CODE
          GENERATION BY RETAINING AND USING REGFILE USE COUNT FOR A TAG.
          DEPENDENCY=FC5A258
          SSK    82/06/24    REG
  
 FC50749  LABEL/CDI.  INITIALIZE T.BLST INDUCTION PARAMETER ENTRIES 
          TO A VALUE OF ONE.  PREVENTS PROBLEMS WHEN ERRORS OCCUR 
          IN THE ACTUAL INDUCTION PARAMETERS. 
          RETRANS=I6A 
          MRR    83/02/09    LABEL
  
 FC50755  FMT/AED.  INSURE CORRECT SETTING/RESETTING OF REPEAT COUNT FOR
          PARENTHESISED GROUP.
          DEPENDENCY=FC50169
          MRR    82/06/25    FMT
  
 FC50757  FTN5TXT, DECL/EQS/EQU.  MODIFY THE EQUIVALENCE PROCESSING DATA
          STRUCTURES AND THEIR ACCESS TO ELIMINATE THE PACK/UNPACK STYLE
          OF ACCESS/COMBINATION.  THE FORMER STYLE FAILED WHEN LARGE
          NUMBERS OF EQUIVALENCE DECLARATIONS CAUSED ITEMS TO GO
          NEGATIVE DURING PACK OPERATIONS, THUS DESTROYING THE DATA.
          DEPENDENCY=FC50299
          MRR    82/12/07    FTN5TXT, DECL
  
 FC50760  REG/SLD  CA FIELD OVERFLOW , USE TEMP IF ABS(BIAS) .GT. 
          2**17 . 
          DEPENDENCY=FC50131
          SSK    82/09/22    REG
  
 FC50761  LEX/PLR.  ADD CODE TO INDICATE CONDITIONALLY UNCOMPILED 
          LINES OF CODE WITH '--' TO THE LEFT OF THE LINE NUMBER
          AND TO INDICATE THE CURRENT IF LEVEL IF GREATER THAN 0
          IN THE SAME COLUMNS.
          DEPENDENCY=FC50243
          JEM    82/08/31.   LEX
  
 FC50763  LEX/TOGEL,TOK=BBL,TOK=BRL,TOK=BBR,TOK=BRR,TOK=BBO,TOK=BRO 
          TOK=BBZ,TOK=BRZ. MODIFIED THE TOGEL PROGRAM IN LEX BY 
          ADDING EIGHT SPECIAL CASES FOR AUXILLIARY I/O STATEMENTS
          WITH BOOLEAN LITERALS FOR THE UNIT SPECIFIER. ALSO ADDED
          EIGHT NEW TOFUS TO PROCESS THE SPECIAL CASES. 
          JEM   82/11/12.    LEX
  
 FC50765  KEY/ELF.  DIAGNOSE TRAILING GARBAGE ON ELSEIF STATEMENT.
          DEPENDENCY=FC50642
          MRR    82/07/30    KEY
  
 FC50766  FMT/FMT=LP.  DIAGNOSE EDIT DESCRIPTOR WHICH HAS NO SEPARATOR
          PRECEDING A PARENTHESIS GROUPING. 
          MRR    82/07/31    FMT
  
 FC50772  PAR/DTC.  KEEP RIGHT TO LEFT ASSOCIATION OF TRIP COUNT FORMULA
          AS DESCRIBED IN FTN5 RM [P 4-6].  THIS PROVIDES CONSISTENT
          TRIP COUNTS FOR REAL INDUCTION PARAMETERS.  NOTE:  THIS CODE
          IS NOT A PANACEA, THE NATURE OF REAL INTERNAL REPRESENTATION
          IS SUCH THAT ANOMOLIES WILL STILL OCCUR.  THIS CODE MERELY
          MAKES THE EVALUATUATION IN THE EXACT ORDER AS DESCRIBED BY THE
          FTN5 RM [AND ANSI]. 
          DEPENDENCY=FC5A113
          MRR    82/08/25    PAR
  
 FC50773  DECL/PCF.  WHEN A FUNCTION SUBPROGRAM NAME IS ASSUMED SIZE
          CHARACTER AND HAS NO DUMMY ARGUMENT LIST, MANUFACTURE A T.ENTP
          TABLE ENTRY FOR THE VALUE PARAMETER.  WHEN NO SUCH ENTRY IS 
          PRESENT, DECLARATIVE PROCESSING GOES AWRY [MODE ERROR]. 
          DEPENDENCY=FC5A132,FC50512
          MRR    82/08/31    DECL 
  
 FC50774  PAR/PAR.SBS.  WHEN A SUBSTRINGED NAME IS NOT A CHARACTER
          VARIABLE, BYPASS PARSING THE SUBSTRING EXPRESSION AS THIS 
          WILL MERELY YIELD A DUPLICATE DIAGNOSTIC. 
          MRR    82/08/19    PAR
  
 FC50775  PAR/CONO.  MARK COLON AS LEGAL SUCCESSOR ELEMENT FOR HOLLERITH
          CONSTANT.  ALLOWS HOLLERITH AS DIMENSION BOUNDS AND SUBSTRING 
          BOUND.
          DEPENDENCY=FC50374
          MRR    82/08/23    PAR
  
 FC50776  FEC/SSU.  CORRECTLY SET WB.SAVE FOR COMMON AND LOCAL VARIABLES
          WHEN UNIVERSAL SAVE IS IN FORCE.
          MRR    82/08/24    FEC
  
 FC50785  FTN5TXT,FEC/CUS,LEX/KEYW.  BYPASS BEGINNING OF STATEMENT TURPLE 
          OUTPUT FOR DATA STATEMENTS AND C$ DIRECTIVES.  PREVENTS BAD 
          OBJECT PROGRAM GENERATION BY QCG. 
          DEPENDENCY=FC5A233, FC5A337, FC50480
          MRR    82/09/15    FTN5TXT, FEC, LEX. 
  
 FC50791  LEX/LEX.  MAKE DUMMY LINE NUMBER FOR MISSING END STATEMENT. 
          PREVENTS INVALID DIAGNOSTIC 
          DEPENDENCY=FC50250. 
          MRR    82/09/23    LEX
  
 FC50792  PAR/PAREX.  WHEN A CONOTATION ERROR IN A CALL ACTUAL ARGUMENT 
          IS DIAGNOSED, ABANDON THE PARSE.  PREVENTS MODE ERRORS, BAD 
          DIAGNOSTICS, ETC. 
          MRR    82/11/04    PAR
  
 FC50796  DECL/PAR.HOL.  WHEN PROCESSING HOLLERITH CONSTANTS, ALLOW 
          SHORT CONSTANTS WHERE POSSIBLE [R" "].  AVOIDS UNNECESSARY
          DIAGNOSTICS AND MAY PRODUCE BETTER CODE.
          MRR    82/10/13    PAR
  
 FC50797  DECL/CCC.  CORRECT SETTING OF FILL. TO // TO INDICATE BLANK 
          COMMON IN THE NONHOMOGENEOUS COMMON BLOCK DIAGNOSTIC. 
          MRR    82/10/13    DECL 
  
 FC50798  FEC/FEC.  WHEN IN BYPASS MODE [I.E., C$ IF CONDITION FALSE],
          SKIP THE STATEMENT POSITION CHECKS AND UNRECOGNIZED STATEMENT 
          TEST.  PREVENTS INVALID DIAGNOSTICS ON UNCOMPILED STATEMENTS. 
          MRR    82/10/14    FEC
  
 FC50799  LEX/KEYW.  ALLOW "INVISIBLE" C$ DIRECTIVES IN BLOCK DATA. 
          WHEN[IF] IMPLEMENTED THEY WILL NEED TO BE ALLOWED, AND IN THE 
          MEANTIME THIS PREVENTS SPURIOUS DIAGNOSTICS.
          MRR    82/10/13    LEX
  
 FC50806  FMT/FMT=EOS.  CORRECTLY SET FILL. POINT FOR TRAILING CHARACTERS 
          ON FORMAT STATEMENT.
          MRR    82/10/27    FMT
  
 FC50818  FTN. ADD ENTRY POINT *HO$ARGC*, TO INDICATE WHETHER 
          ARG=COMMON IS SELECTED. 
          AXM    83/01/14    FTN
  
 *L601*    ************************************************ 
 FC5A414  PAR/PAR.CM.  DONT INHIBIT SQUEEZE FOR SUBSCRIPT EXPRESSIONS AS
          A MATTER OF COURSE.  BROKEN BY FC50612. 
          MRR    82/12/10    PAR
  
 FC5A415  PUC, FEC/PUP, PAR/PAR.HOL, BRIDGE.  AVOID SQUEEZE OF SECOND 
          AND SUBSEQUENT WORDS OF LONG HOLLERITH CONSTANTS WHEN THEY ARE
          REFERENCED AS ACTUAL ARGUMENT TO SUBROUTINES OR FUNCTIONS.
          DEPENDENCY=FC50686
          MRR    82/12/17    PUC, FEC, PAR, BRIDGE
  
 FC5A420  INIT00/PPW,PUC/PUC9. FIX 2 PROBLEMS WITH THE PW CONTROL 
          STATEMENT OPTION.  THE FIRST PROBLEM IS THAT THE ERROR
          FILE MAY HAVE THE CARRIAGE CONTROL IN THE WRONG COLUMN IN 
          THE TITLE LINE IF A VALUE GREATER THAN 125 IS SPECIFIED 
          FOR PW.  THE SECOND PROBLEM IS THAT AN EXPLICIT 
          SPECIFICATION OF PW=72 RESULTS IN 73 COLUMNS PER LINE FOR 
          TERMINAL OUTPUT.
          DEPENDENCY=FC5A115
          SSK    83/03/23    INIT00, PUC
  
 FC5A421  PAR/CDI. FIX PROBLEMS CAUSED BY FC50189.  CDI USES B7, AND
          THE CALLS IN CDI TO BBC CAUSES B2 TO BE USED.  BOTH OF
          THESE MUST BE PRESERVED FOR EQL.  THIS CODE CHANGES CDI 
          TO SAVE AND RESTORE BOTH B2 AND B7. 
          DEPENDENCY=FC50189
          AXM   83/03/04     PAR
  
 FC5A422  PAR/VIL.  CORRECT HANDLING OF BOOLEAN ARGUMENT TO INTRINSIC 
          CMPLX WHEN NOT ALL ARGUMENTS ARE BOOLEAN. 
          DEPENDENCY=FC5A411
          MRR    83/02/25    PAR
  
 FC5A426  IMPLEMENT JOB DEFAULT PAGE SIZE. USES *CPM* FUNCTION
          *GETPAGE* TO SET DEFAULT VALUES FOR *PD* (PRINT DENSITY), 
          *PS* (PAGE SIZE), AND *PW* (PAGE WIDTH).
          GENERAL RULES OF IMPLEMENTATION --
           - IF PARAMETER OMITTED ON THE CONTROL CARD - 
                USE JOBS DEFAULT VALUE. 
           - IF JUST KEYWORD FOR PARAMETER SPECIFIED -
                PD=8, PW=72.
           - IF PARAMETER VALUE SPECIFIED - 
                USE THE SPECIFIED VALUE.
           - NO RELATION BETWEEN PD AND PS PARAMETERS ASSUMED.
          DEPENDENCY=FC5A164,FC5A333,FC5A174,FC5A187,FC5A107,F1039
          APOS/RRR 82/06/17  COMFCIP, FTN, PUC, PEM, INIT00, LEX
  
 FC5A427  FAS/DLC.  PREVENT ENTRY OF GARBAGE COMMON BLOCK NAME IN 
          THE COMMON SUBTABLE(0032) IN THE LDSET TABLE OF FTN5
          BINARY. 
          SSK    83/06/17    FAS
  
 FC5A428  LABEL/DDR.  WHEN A DO REDEFINITION ERROR IS DIAGNOSED 
          ON AN I/O IMPLIED DO CONTROL INDEX, SET UP RBE CALL 
          PROPERLY FOR IMPLIED DO REMOVAL.
          DEPENDENCY=FC5A211,FC50718
          MRR    83/08/29    LABEL
  
 FC5A431  IO/IDC.  TEST THAT THE LAST SUBSCRIPT OF AN ARRAY IS BEING
          PROCESSED BEFORE ALLOWING I/O IMPLIED DO COLLAPSE WITH A
          VARIABLE INITIAL VALUE.  PREVENTS BAD CODE. 
          DEPENDENCY=FC5A211,FC50620
          MRR    83/05/09    IO 
  
 FC50811  IO/PEC.  ADDED CODE TO PREVENT CHARACTER FORMAT PROCESSING ON 
          READ STMTS IF THE FIRST TOKEN IN THE ALLEGED CHARACTER FORMAT 
          IS NOT A LEFT PAREN, CHARACTER CONSTANT, OR VARIABLE NAME.
          THIS PREVENTS EXCESSIVE ERROR MESSAGES FROM BEING ISSUED WHEN 
          A READ STATEMENT HAS AN INVALID COMMA BETWEEN THE IO CONTROL
          LIST AND THE IO VARIABLE LIST. THIS CODE DOES NOT PREVENT ALL 
          INSTANCES OF THIS PROBLEM BUT IT HELPS THE MAJORITY OF CASES
          AT A REASONABLE OVERHEAD. 
          DEPENDENCY=FC5A171A 
          JEM   82/12/09.    IO 
  
 FC50825  REG/SLD. REGISTER CONFLICT TESTS SHOULD USE X REGISTERS 
          WHEN LCM IS INVOLVED. AN ADDRESS FUNCTION REGISTER WITH 
          AN LCM ADDRESS AND A ZERO USE COUNT SHOULD NOT BE LOCKED. 
          DEPENDENCY=FC50131,FC50603
          SSK    83/01/05    REG
  
 FC50829  FLINK/LPE.  WHEN PROPOGATING ATTRIBUTES OF A DO LOOP OUTWARD, 
          AVOID USING A BLOCK IF AS THE LINK.  PREVENTS USING TRASH AS A
          SYMBOL TABLE ORDINAL AND SUBSEQUENT ERRORS. 
          MRR    82/12/21    FLINK
  
 FC50834  MAP/DELF. REPAIR TABLE(DELFPT3) , WHICH IS PREVENTING 
          THE DELETION OF THE ADDRESS FIELD OF THE DO LOOP MAP
          WHEN PAGE WIDTH RESTRICTIONS HAVE BEEN IMPOSED BY A USER. 
          SSK    83/01/20    MAP
  
 FC50842  PAR/C=DO.  INHIBIT SQUEEZE OF TURPLES COMPRISING DO INDUCTION 
          VARIABLES.  PREVENTS LOSS OF UNARY MINUS [AND OTHER MISERIES].
          MRR    83/04/28    PAR
  
 FC50844  INIT00/MIB.  CHANGE MODEL-INDEPENDENT COMPILER TO ALWAYS
          ISSUE *GETMC* TO DETERMINE IF RUNNING ON AN 800-SERIES MODEL, 
          AND SO INDICATE IN TITLE LINE.  ALSO INCLUDE 800-SERIES 
          BIT IN TEST OF WHETHER OR NOT TO USE DIRECT-ACCESS LCM. 
          DEPENDENCY=F1037F5
          AXM    83/03/23    INIT00 
  
 FC50857  KEY/NAMLIST,IO/PFN5. IN KEY ADD LINE NUMBER/DEFINED TO
          NAMELIST REFERENCE MAP. IN IO ADD LINE NUMBER/REFERENCE 
          TO NAMELIST REFERENCE MAP.
          DEPENDENCY=FC50606
          SSK    83/04/01    KEY,IO 
  
 FC50860  COMFWIN/WO=IDNT,QCGC,CCGC.  WINA WHICH IS A TEMPORARY 
          CELL FOR PACKED 15-BIT INSTRUCTIONS WAS LEFT WITH REMAINS 
          FROM A PREVIOUS PROGRAM UNIT BECAUSE AN ERROR PREVENTED 
          COMPLETION OF A STATEMENT.  DURING NEXT PROGRAM UNIT
          COMPILATION, THIS INSTRUCTION WAS PUT OUT TO PREBINARY
          AND CAUSED PROBLEMS SUCH AS A MODE OUT IN FAS.
          SSK    83/03/31    QCGC, CCGC 
  
 FC50870  FEC/RLS. RESOLVE STORAGE ALLOCATON PROBLEMS FOR VALUE.
          SYMBOLS BY SEARCHING THE LIST OF VALUE. SYMBOLS IN REVERSE
          ORDER AND ASSIGNING THE BASE MEMBER THE TYPE OF THE FIRST 
          ONE WHICH HAS WB.DEF SET. 
          SSK    83/04/06    FEC
  
 FC50875  REG/LLA.  AVOID REGISTER CONFLICTS WITH LCM=G AND COMPLEX 
          OPERANDS. 
          SSK    83/05/11    REG
  
 FC50879  LABEL/ALU.  WHEN TESTING FOR POSSIBLE ENTRY INTO DO LOOP, 
          DISREGARD LABEL IF ONLY REFERENCE IS IN AN ASSIGN STATEMENT.
          INFORMATION FOR CORRECT ANALYSIS IS NOT AVAILABLE.
          MRR    83/04/17    LABEL
  
 FC50882  FMT/AED.  AVOID CLEARING PAREN NESTING LEVELS IF THERE ARE
          NO LEVELS TO CLEAR. FORMAT STATEMENT TEST CASE HAD MISSING
          LEFT PAREN. 
          DEPENDENCY=FC50625
          SSK    83/04/28    FMT
  
 FC50883  STMTF/SFD.  CLEAN UP T.SCR IN STMTF IF NO CLOSING *)* IS
          FOUND AT END ARGUMENT STRING. 
          DEPENDENCY=FC50106
          SSK    83/04/27    STMTF
  
 FC50885  PAR/PAREX11.  REVISE TEST TO DETERMINE IF TOKEN FOLLOWING 
          AN ILLEGAL TOKEN IS A COMMA OR RIGHT PARENTHESE.
          SSK    83/05/13    PAR
  
 FC50886  FERRS, LABEL/SDO.  WHEN THE = DOES NOT IMMEDIATELY FOLLOW 
          THE DO CONTROL INDEX, SKIP TOKENS TO THE = BEFORE CONTINUING
          PROCESSING OF THE DO.  PREVENTS PAR PROBLEMS WHILE COMPILING
          THE INDUCTION VARIABLES.
          MRR    83/05/11    FERRS, LABEL 
  
 FC50889  ALLOC/GMR, RLINK.  GRACEFULLY HALT HEADER DELAY WHEN A LARGE
          NUMBER OF COMMENTS CAUSE TABLE OVERFLOW.
          MRR    83/05/22    ALLOC, RLINK 
  
 *L617*    ************************************************ 
 FC5A433  INIT00/MIB.  AVOID PROBLEMS WHEN PROCESSING REW OPTION ON 
          SCOPE 2.
          DEPENDENCY = FC50735
          MRR    83/06/10    INIT00 
  
 FC5A436  COMFISA, FEC/SYMTAB, GEN/O=HDR, PUC/CELLS.  SAVE A0 SO
          THAT CID CAN REFERENCE ACTUAL PARAMETERS. 
          DJJ    83/08/25    COMFISA, FEC, GEN, PUC 
  
 FC5A437  PAR/TRE.  DIAGNOSE USE OF DECLARED EXTERNAL (OR INTRINSIC) AS 
          ARGUMENT TO INTRINSIC FUNCTION. 
          MRR    83/10/11    PAR
  
 FC5A442  PAR/PAR.ERR.  AN ILLEGAL COMBINATION OF CURRENT/NEXT TOKEN
          MAY LEAVE THE TOKEN POINTER MISPOSITIONED, CORRECTED BY 
          ADDING CODE TO CHECK FOR AN EOS. THIS IDENT PURGES FC50888
          AND EXPANDS THAT CODE TO EXIT TO PAR.STOP ONLY IF AN IMPLIED
          DO ERROR IS INDICATED.  THE PURGE ALLOWS 1 FC50792 CARD TO
          BE REACTIVATED, WHICH WAS INADVERTENTLY PULLED BY FC50888.
          DEPENDENCY=FC50792
          PURGES=FC50888
          SSK    83/11/16    PAR
  
 FC5A445  INIT00/COMCCPM.  DO NOT CALL *COMCCPM* ON SCOPE2 SYSTEMS. 
          DEPENDENCY=FC5A426
          KJM    83/12/12    INIT00 
  
 FC5A446  OPTIONS.  FIX *VALMDL* MACRO TO PROPERLY DEFINE *MDL* 
          WHEN *MODEL* IS SET TO 740, 750, OR 760.  OTHERWISE,
          THE BUILD WOULD FAIL WITH ASSEMBLY ERRORS IN *FAS*. 
          DEPENDENCY=F2950F5
          AXM    84/02/09    OPTIONS, FTN5TXT 
  
 FC50809  FAS/DDS/OTC.  INSURE THAT PTEXT LOADER TABLES (3500) ARE
          WITHIN THE LOADER SIZE LIMIT, WITH NO PARTIAL ENTRY CARRYOVER.
          THIS WAS A PROBLEM WITH INITIALIZATION OF LARGE AMOUNTS OF
          CHARACTER DATA.  THE LOADER GOT LOST ON THE SPLIT ENTRY.
          MRR    83/09/14    FAS
  
 FC50904  PAR/PAR.STOP.  SCRATCH T.SCR THROUGH THIS EXIT. ROUTINES
          USING T.SCR EXPECT THIS TABLE TO BE CLEAR.
          SSK    83/06/27    PAR
  
 FC50905  FAS/ORD.  REPAIR REGISTER WIPEOUT. CAUSING BAD RELOCATION 
          FOR LOWER BOUNDS OF ASSUMED SIZE ARRAYS.
          SSK    83/07/18    FAS
  
 FC50906  IO/IDC.  AVOID SHRINKING T.REF IF ITS LENGTH IS ZERO. 
          DURING IO COLLAPSE PROCESSING IT MAY BE NECESSARY TO SHRINK 
          T.REF SLIGHTLY, IF A COMPLETE COLLAPSE HAS FAILED , BUT THE 
          REFERENCE MAP MAY HAVE BEEN WRITTEN TO A DISC FILE LEAVING
          T.REF WITH A ZERO LENGTH. 
          SSK    83/07/14    IO 
  
 FC50913  KEY/RTN,MAP/SRC.  ALLOW MAP TO LIST THE LINE NUMBER 
          CONTAINING THE RETURN STATEMENT FOR FUNCTION SUBPROGRAMS
          IN THE ENTRY POINT SECTION OF THE MAP LISTING.
          DEPENDENCY=FC50451
          SSK    83/09/07    KEY, MAP 
  
 FC50915  LABEL/CDI.  AVOID USING 18 BIT ARITHMETIC WHEN CHECKING 
          *DO=LONG* TRIP COUNTS FOR A TRIP COUNT OF ONE.
          DEPENDENCY=FC50594
          SSK    83/08/09    LABEL
  
 FC50920  REG/LLA.  IF ABS(BIAS) LT 2**17 USE RG=SET INSTRUCTIONS AND 
          RG=INTR INSTRUCTONS(PROVIDED USE COUNTS ARE ZERO) WHEN
          GENERATING UEC CODE.
          DEPENDENCY=FC50875
          SSK    83/10/03    REG
  
 FC50923  CONRED/DEC.  WHEN HALTING COMPILATION OF A STATEMENT DUE TO 
          CONSTANT CONVERSION ERRORS, IF DATA STATEMENT IS BEING
          PROCESSED, RETURN TO CLEAN UP DATA TABLES.  PREVENTS LEFT OVERS 
          CAUSING LATER PROBLEMS. 
          DEPENDENCY=FC50656
          MRR    83/09/13    CONRED 
  
 FC50933  COMSSYM, FEC/F.SYMIL, DECL/G-F.  SINCE THE RB SYMBOL TABLE
          CONTAINS THE BLOCK INDEX (IN T.BLKS), NOT THE ORDINAL, EXPAND 
          FIELD TO ALLOW THE DESCRIBED (500) NUMBER OF COMMON BLOCKS. 
          DEPENDENCY=FC50662
          MRR    83/09/13    COMSSYM, FEC, DECL 
  
 FC50935  PAR/TRE.  SET RESTART INDICATOR WHEN I/O LIST MUST BE 
          RESTARTED.
          DEPENDENCY=FC5A141
          MRR    83/09/15    PAR
  
 FC50941  FMT/AED.  AVOID CLEARING PAREN NESTING LEVELS IF THERE ARE
          NO LEVELS TO CLEAR OR IF THERE ARE UNBALANCED PARENS. 
          DEPENDENCY=FC50882
          SSK    83/10/05    FMT
  
 *L628*    ************************************************ 
 FC5A438  BRIDGE/PAF.  ADD CODE TO UPDATE THE LEV0 BIT IN THE APLIST
          TYPE INFORMATION WORD(ATF). ALLOWS BRIDGE TO SELECT THE 
          PROPER CODE SKELETON FOR LEVEL 0 APLIST ITEMS.
          SSK    84/06/25    BRIDGE 
  
 FC5A441  PAR/EQL/CDI/SCB/STC.  CORRECT DEFICIENCIES IN FC50189.
          THE CHECKING WAS NOT CORRECT WHEN EQUIVALENCING IS USED.
          REMOVES *STC* AND INTRODUCES *SCB* IN *PAR*.
          DEPENDENCY=FC50189,FC5A421
          AXM    84/02/24    PAR
  
 FC5A444  COMSSYM, COMFCIP, COMFTTL, FTN, HEADER, INIT00, DECL. 
          THIS CODE ADDS THE AUTOMATIC LEVEL FEATURE TO FTN5. 
          IF THE *AL* PARAMETER IS SPECIFIED ON THE FTN5 CALL 
          STATEMENT, ALL COMMON BLOCKS WILL BE PLACED IN LEVEL
          2 STORAGE AND ALL FORMAL PARAMETERS WILL BE TREATED 
          AS LEVEL 0. THIS CAN BE OVERRIDDEN BY USE OF EXPLICIT 
          LEVEL STATEMENTS. 
  
          PRECAUTIONS TO BE NOTED WHEN USING THE *AL* OPTION ARE: 
  
            1) EXISTING COMPASS PROGRAMS THAT SHARE COMMON BLOCKS 
               WITH FTN5 WILL NEED TO HAVE THEIR BLOCK DECLARATIONS 
               CHANGED TO SPECIFY UEM(LCM). 
  
            2) BUFFER I/O OF LEVEL 2 DATA REQUIRES A FILE CARD WITH 
               SBF=NO SPECIFIED FOR THE FILE
  
            3) VARIABLE FORMATS IN LEVEL 2 ARE LIMITED TO A MAX OF
               150 CHARACTERS.
  
          THE RELEASE DEFAULT SETTING OF THE *AL* PARAMETER IS
          AL=0 (OFF). 
  
          DEPENDENCY=FC50252,F1039,FC50496,FC5A192,FC50326,FC50570
          RRR    83/11/28 
          AXM    84/06/04    COMSSYM, COMFCIP, COMFTTL
                             FTN5TXT, FTN, HEADER, INIT00, DECL 
  
 FC5A450  LABEL/ISL.  ALLOW *WB.FR* TO BE ENTERED IN T.SYM PROVIDED 
          LABEL REFERENCE IS NOT FROM AN *ASSIGN* STATEMENT. ALLOWS 
          AMBIGUOUS REFERENCES(ASSIGN) TO A LABEL IN A DO LOOP AND
          TRAPS OTHER ILLEGAL REFERENCES AS FATAL ERRORS. 
          SSK    84/02/17    LABEL
  
 FC50946  IO/IDC.  WHEN PERFORMING I/O IMPLIED DO COLLAPSE ON ARRAYS OF 
          TYPE DOUBLE PRECISION OR COMPLEX, AND AN ARRAY LOAD MUST BE 
          PERFORMED, DOUBLE THE SUBSCRIPT VALUE TO PROVIDE A VALID
          OFFSET. 
          DEPENDENCY=FC50620
          MRR    83/10/21    IO 
  
 FC50947  PAR/ADT.  WHEN PROCESSING A UNARY MINUS TURPLE WITH A CONSTANT
          OPERAND, DO NOT REDUCE THE OPERATION WHEN PROCESSING DO 
          INDUCTION VARIABLES AND DO=LONG.  ALLOWS OPT=2 TO PROPERLY
          HANDLE NEGATIVE INCREMENT FOR THE ABOVE CASE. 
          DEPENDENCY=FC50391
          MRR    83/10/13    PAR
  
 FC50949  REG/SFR.  WHEN SCANNING FOR A REGISTER , CLEAR THE REGFILE
          ENTRY OF THE REGISTER SELECTED IF ITS USE COUNT IS ZERO.
          PREVENTS ROUTINE GST FROM INDICATING A TAG IS IN A REGISTER 
          EVEN THOUGH ITS STATUS WORD SO INDICATES. 
          SSK    84/02/29    REG
  
 FC50950  REG/RUT, GEN/EIS.CMP.  ADDED CODE TO REG TO MAKE FOLLOWING
          CHECKS WHEN A REGISTER IS SELECTED FOR USE. IN SUBROUTINE 
          *RUT* CHECK IF STORE REGISTER TO SAVE TAG OF SELECTED 
          REGISTER IS NOT THE *I* OF PREVIOUS INSTRUCTION OR *K* OF 
          CURRENT INSTRUCTION. IF IT IS , USE OTHER STORE REGISTER TO 
          SAVE TAG. 
          SSK    84/06/14    REG,GEN
  
 FC50958  DECL/EDD.  ADDED CODE TO PREVENT TRYING TO MATCH A
          DIMENSION DESCRIPTOR , INTENDED TO BE ADDED TO T.DIM
          PROVIDED A MATCH ISN'T FOUND , WITH A DESCRIPTOR OF UNEQUAL 
          SIZE. PREVENTS A BAD SUBSCRIPT ADDRESS IN APLIST TO SUBSCRIPT 
          CHECKING ROUTINE CES. 
          DEPENDENCY= 
          SSK    84/03/21    DECL 
  
 FC50962  HEADER/PSA, DECL/PCF.  IN HEADER ADD CODE TO ACCOUNT FOR
          *VALUH.* AS THE FIRST ARGUMENT IF A FUNCTION SUBPROGRAM 
          WAS DEFINED AS CHARACTER*(*).  IN DECL ADD CODE TO ADJUST 
          *CPL.* BIAS.
          DEPENDENCY=FC50512
          SSK    84/03/07    HEADER, DECL 
  
 FC50964  REG/STS.  RETAIN INCOMING OPERAND USE COUNT IF LARGER THEN
          USE COUNT IN REGFILE FOR SAME TAG , ELSE USE REGFILE USE
          COUNT. PREVENTS LOSING REGISTERS BECAUSE OF PREMATURE ZERO
          USE COUNTS. 
          DEPENDENCY=FC50748
          SSK    84/02/24    REG
  
 FC50969  HEADER/DCM.  FIX *COMPILING* DAYFILE MESSAGE SO AS TO:  
           1) NOT LEAVE 10 BLANK CHARS AT BEGINNING,
           2) STORE PROGRAM NAME PRIOR TO ISSUING MESSAGE,
           3) ISSUE MESSAGE WITH AUTO-RECALL. 
          DEPENDENCY=FC50731
          AXM    84/02/21    HEADER 
  
 FC50985  PAR/PAR.CM.  A UNARY MINUS VARIABLE ARGUMENT TO A SUBROUTINE
          IS BEING PASSED INCORRECTLY BECAUSE THE UNARY MINUS TURPLE IS 
          GETTING SQUEEZED. CORRECTED BY RESETTING SQUEEZE LIMIT AFTER
          POPPING A COMMA OPERATOR. 
          DEPENDENCY=FC5A414,FC50612
          SSK    84/09/05    PAR
  
 FC51035  SKEL,QSKEL,CSKEL.  REVISE SKELETONS FOR INTRINSIC FUNCTIONS 
          DINT AND DNINT TO CORRECTLY HANDLE DOUBLE PRECISION ARGUMENTS.
          SSK    84/04/16    SKEL, QSKEL, CSKEL 
  
 FC51039  KEY/GOA. ADD CODE TO RECOGNISE THAT A *DO LOOP* HAS AN EXIT 
          WHEN THE LOOP CONTAINS AN ABSOLUTE *GO TO* OF THIS TYPE 
          *GO TO IVAR*. ALLOWS A TRANSFER BACK TO THE LOOP AFTER
          HAVING LEFT VIA A *GO TO* OF THE ABOVE TYPE.
          SSK    84/04/10    KEY
  
 FC51048  FEC/CAC, KEY/CEM. CODE ADDED TO LIST , IN THE MAP SECTION 
          , THE CORRECT TYPE OF AN ALTERNATE ENTRY POINT WHEN SAID
          ENTRY POINT WAS DECLARED CHARACTER AND ASSUMED SIZE. THE
          OTHER PROBLEM(BAD CODE AT LEVEL 577 WITH FC50962) CAN BE
          CORRECTED WITH FC50773. 
          SSK    84/04/18    KEY,FEC
  
 FC51066  IO/IDC. REPAIR REGISTER WIPEOUT CAUSED BY FC50620.
          DEPENDENCY=FC5A141,FC5A211
          SSK    84/06/01    IO 
  
 FC51069  IO/IDC.  CORRECT ERROR IN FC5A431.  THE TEST
          FOR THE FINAL SUBSCRIPT WAS NOT CORRECT.
          DEPENDENCY=FC5A431
          AXM    84/06/01    IO 
  
 FC51073  DATA/CRL.  SAVE A4 ACROSS CALL TO *MVE=*. 
          ERROR IN FC50336 CAUSED DATA STATEMENTS WITH A REPEAT 
          COUNT .GT. 77777B WHICH WAS NOT THE LAST ELEMENT IN THE 
          CONSTANT LIST TO GET SPURIOUS DIAGNOSTICS.
          DEPENDENCY=FC50336
          AXM    84/06/11    DATA 
  
 *L642*    ************************************************ 
 FC5A464  INIT00/MIB.  FIX MODE ERROR WHICH CAN OCCUR ON DUAL-STATE 
          SYSTEMS.  CODE AT *MIB100* DOES AN IN-STACK CODE MODIFICATION 
          BY STORING A JP B2 (UPPER), AND A 30-BIT PS (LOWER).  ON A
          DUAL-STATE SYSTEM, INTERRUPTS ARE POSSIBLE AT ANY INSTRUCTION 
          BOUNDARY, SO CONTROL CAN GO TO THE PS.  CODE FIXES PROBLEM
          BY PLACING THE JP B2 IN BOTH THE UPPER AND LOWER HALVES OF
          THE WORD BEING STORED.
          AXM    85/01/23    INIT00 
  
 FC5A478  OPTIONS.  FIX *VALMDL* MACRO TO PROPERLY DEFINE MODEL 990.
          PREVENTS FTN5 BUILD FROM FAILING WITH ASSEMBLY ERROR IN 
          *FAS* WHEN MODEL MICRO IS SET TO 990. 
          DEPENDENCY=FC5A446
          AXM    85/07/01    OPTIONS, FTN5TXT 
  
 FC50956  PAR/DOC.  DO NOT SET WB.DEF FOR AN IMPLIED DO INDEX 
          VARIABLE IN A DATA STATEMENT. AVOIDS A CONFLICT IN
          PROPERTIES IF VARIABLE IS USED ELSEWHERE IN SAME PROGRAM
          UNIT. 
          DEPENDENCY=FC5A221,FC50221
          SSK    84/06/19    PAR
  
 FC50966  FERRS, PAR/A=CALL.  MAKE THE EXTRANEOUS CHARACTER DIAGNOSTIC
          FOR CALL STATEMENTS FATAL.
          MRR    84/09/17    FERRS, PAR 
  
 FC50972  FERRS, TYPE/TYP.  CHANGE THE SEVERITY OF THE DIAGNOSTIC FOR 
          RETYPING AN ALREADY TYPED ENTITY.  IF THE TYPE IS CONFIRMING, 
          MAKE THE DIAGNOSTIC TRIVIAL, IF A NEW TYPE IS SPECIFIED, MAKE 
          THE DIAGNOSTIC FATAL. 
          DEPENDENCY=FC5A225,FC5A338,FC50515
          MRR    84/12/18    FERRS, TYPE
  
 FC51002  REC/REL, FAS/PIT.  OUTPUT THE STATUS OF THE *ARG* CONTROL STMT
          OPTION TO THE COMMENTS SECTION OF THE PRFX (7700) TABLE.
          MRR    84/09/08    REC, FAS 
  
 FC51015  INIT00/PPW.  ADDED CODE TO USE THE NEAREST ALLOWED PAGE WIDTH 
          LIMIT, IF THE CONTROL CARD PAGE WIDTH VALUE EXCEEDS ALLOWED 
          LIMITS, LESS THEN 50 OR GREATER THEN 136. 
          DEPENDENCY=FC5A426
          SSK    84/11/16    INIT00 
  
 FC51029  KEY/IFL.  WHEN A THREE-BRANCH IF HAS ALL LABELS THE SAME, 
          JUST ISSUE A GOTO TURPLE.  THIS MAKES LIFE EASIER FOR THE 
          CODE GENERATORS, ESPECIALLY OPT=2, WHICH GETS LOST WHEN THE 
          STATEMENT IS IN A DO LOOP.
          MRR    84/10/24    KEY
  
 FC51075  FTN5TXT,PUC,PAR/PAR.SPS/POP.PN. ADDED CODE TO REMOVE PARSER 
          CONTEXT INFORMATION FROM OSTACK AND PUT THIS INFORMATION
          (ARGMODE,ARGCOMA,ARGMIS) IN A MANAGED TABLE. ALLOWS PAR TO
          HANDLE EXPRESSIONS TO A DEEPER NESTING LEVEL. 
          DEPENDENCY=FC5A415,FC5A167
          SSK    84/07/17    FTN5TXT,PUC,PAR
  
 FC51078  COMSPBD, FTN5TXT, QCGC, CCGC, FAS, LIST.  EXPAND AP-LIST
          INDEX FROM 12 TO 14 BITS. A TEST CASE HAS ENOUGH
          SUBROUTINE CALLS TO CAUSE A 12 BIT OVERFLOW.
          SSK    84/07/19    COMSPBD, FTN5TXT, QCGC, CCGC, FAS, LIST
  
 FC51082  PAR/A=ARRAY.  ADDED CODE WHICH IMPROVES ERROR RECOVERY
          BY ALLOWING PARSING TO CONTINUE PAST THE ERROR WHEN 
          A SUBSCRIPT/DIMENSION COUNT MISMATCH OCCURS BY ADJUSTING
          ESTACK AS REQUIRED AND UPDATING THE ACTUAL NUMBER OF
          SUBSCRIPTS FOR THE VARIABLE.
          DEPENDENCY=FC5A415
          SSK    84/07/31    PAR
  
 FC51150  REG/SLD. AFTER REG ALLOCATES AN ADDRESS FUNCTION REGISTER,
          REG ALLOCATES AN ARRAY LOAD REGISTER AND CHECKS THE STATUS
          OF THE ADDRESS FUNCTION REGISTER AND FINDS THE ADDRESS
          FUNCTION TAG NOT LOADED AND THEN HANGS IN THIS LOOP.
          CORRECTIVE CODE LOCKS THE ADDRESS FUNCTION REGISTER.
          DEPENDENCY=FC50825
          SSK    84/09/13    REG
  
 FC51168  PAR/SCB.  WHEN THE CHARACTER VARIABLE HAS ASSUMED LENGTH, 
          NO CHECKING IS DONE FOR CHARACTER ASSIGNMENT OVERLAP. 
          IF THE CHARACTER VARIABLE HAS NO SUBSTRING OR A VARIABLE
          SUBSTRING, SET THE UPPER BOUND TO THE MAXIMUM CHARACTER 
          STRING LENGTH(32767). 
          DEPENDENCY=FC5A441
          JYY    84/10/31    PAR
  
 FC51193  KEY/NAM, FERRS.  WHEN PROCESSING EACH ITEM OF THE GROUP, THE
          ERROR DOES NOT GET DETECTED UNTIL THE *TRV* ROUTINE, WHERE IT 
          IS TOO LATE TO RECOVER THE ERROR AND CLEAN UP THE NAMELIST
          TABLE.  SOLUTION IS TO CHECK EACH ITEM IN THE GROUP FOR A 
          VALID VARIABLE BEFORE CALLING *TRV*, AND CLEAN UP THE 
          NAMELIST TABLE IN THE CASE OF AN ERROR. 
          DEPENDENCY=FC50606
          JYY    84/12/12    KEY, FERRS 
  
 FC51198  BRIDGE/P=FIN.  ADDED CODE TO INSERT STORES TO TEMPS BEFORE
          RESETTING L$FUN TO ZERO.
          SSK    84/12/05    BRIDGE 
  
 *L650*    ************************************************ 
 FC5A460  CONRED.  DIAGNOSE NON-ANSI FOR OCTAL AND HEX CONSTANT IN DATA 
          STATEMENT.
          JYY    85/02/19    CONRED 
  
 FC5A471  FERRS, PAR/PAR.XOR.  CONO TABLE IS CHANGED TO DIAGNOSE
          NON-ANSI FOR THE OPERATOR .XOR. BEFORE PROCESSING PAR.STD.
          DEPENDENCY=FC5A111,FC50560
          JYY    85/05/07    FERRS, PAR 
  
 FC5A480  INIT00.  ON NOS/BE, FTN5 ABORTS WITH *AUTO RECALL ERROR*
          DURING INITIALIZATION.  *GETPAGE* REPLY WORDS WERE NOT
          INITIALIZED TO ZERO, DUE TO USE OF *BSS* RATHER THAN *BSSZ*.
          CORRECTIVE CODE CHANGES THESE TO *BSSZ*.
          DEPENDENCY=FC5A426
          CDF    85/07/24    INIT00 
  
 FC50800  FMT/FMT=LP/FMT=RP.  WHEN CALCULATING RECORD LENGTH OF A 
          FORMAT STATEMENT, A GENERAL VARIABLE *FMTRL* IS RESET TO
          ZERO FOR A NESTED PAREN, WHICH CAUSES SOME FAULTY DIAGNOSTICS.
          THIS CODE INTRODUCES A NEW VARIABLE *FMTPRL* TO CALCULATE 
          THE RECORD LENGTH OF A NESTED PAREN LEVEL AND UPDATES THE 
          VARIABLE *FMTRL* LATER. 
          DEPENDENCY=FC50553
          JYY    85/03/14    FMT
  
 FC50887  FERRS, IO/FMS.  DETECT ANY GARBAGE AFTER *)* IN *OPEN*, 
          *CLOSE*, *INQUIRE* STATEMENT.  USE THE GENERAL ERROR(4).
          DEPENDENCY=FC5A343,FC5A171A 
          JYY    85/03/19    FERRS, IO
  
 FC50982  INIT00/MIB130/PPW. CHECK IF PW OPTION IS SET ON THE CONTROL 
          STATEMENT AND STORE THE JOB DEFAULT VALUE IF PW IS NOT
          SELECTED BEFORE PROCESSING PPW ROUTINE.  ADDED CODE TO CHECK
          LIMIT BOUNDARY FOR TERMINAL FILE AND MAKE ADJUSTMENT
          TO ALLOW A SPACE FOR CARRIAGE RETURN.  MAKE ADJUSTMENT
          FOR E(ERROR) FILE ALSO WHEN PW IS SET OUT OF RANGE. 
          DEPENDENCY=FC51015,FC5A426
          JYY    85/05/28    INIT00 
  
 FC51047  FERRS.  GIVE A MORE MEANINGFUL ERROR MESSAGE(E.IF14)
          WITH THE TOKEN WHICH IS ERRORNEOUS. 
          JYY    85/02/15    FERRS
  
 FC51203  LABEL/DDR.  COMPILER WOULD TIME OUT IF WITHIN AN IF...ENDIF 
          BLOCK STRUCTURE, AN --IMPLIED DO INDEX REDEFINITION ERROR-- 
          OCCURRED.  CODE REMOVES AN EARLY DIAGNOSIS BEFORE THE 
          ERRONEOUS IMPLIED *DO* ENTRY IS REMOVED.
          DEPENDENCY=FC50718
          JYY    85/01/15    LABEL
  
 FC51206  MAP/IRB.  WLINE MACRO IN MAP PRINTS AND THEN ZEROS THE
          BUFFER CONTAINING THIS HEADER LINE: -- LOCAL EQUIVALENCE --.
          ADDED CODE TO PREVENT SETTING BUFFER TO ZERO. 
          SSK    85/01/15    MAP
  
 FC51210  BRIDGE/FVS.  ON ENTRY TO THIS SUBROUTINE, B7 GETS SET TO
          O$DTT.  LATER IN THE SUBROUTINE, CODE ASSUMES B7 STILL
          POINTS TO FWA OF O$DTT, BUT FOR THIS TEST CASE, A TABLE IS
          MOVED, RESULTING IN A MODEOUT.
          SSK    85/02/01    BRIDGE 
  
 FC51232  FAS/BSZ.  AVOID GREATER THAN 6 BIT SHIFT COUNTS IN THE LEVEL
          ZERO SUBSTITUTION TABLE.  TEST CASE HAD A BAD LEVEL ZERO
          PLUG AT RUN TIME. 
          SSK    85/04/12    FAS
  
 FC51247  KEY/EIF.  ADDED A TEST FOR IF-LEVEL BECOME MINUS TO 
          DIAGNOSE THE ERROR OF EXTRA ENDIF STATEMENT.
          JYY    85/04/15    KEY
  
 FC50962  DECL/PCF.  BAD CODE GENERATED TO PICK UP ARGUMENTS IN 
          FUNCTION SUBPROGRAMS.  THIS PSR MAKES CORRECTIONS TO FC50962. 
          DEPENDENCY=FC50962
          SSK    85/07/24    DECL 
  
 FC51277  PAR/A=DO.  CREATED A LOOP TO REMOVE ALL NECCESSARY NESTED 
          IMPLIED IO DO BLOCK STRUCTURES WITH AT LEAST ONE ERRONEOUS
          ENTRY IN IT WHEN PROCESSING CLOSING OF *DO*.
          DEPENDENCY=FC5A138
          JYY    85/05/31    PAR
  
 *L670*    ************************************************ 
 FC5A483  FTN5TXT/OPTIONS,CMPLTXT/OPTIONS,CCGTEXT/OPTIONS,QSKEL/SKEL, 
          CSKEL/SKEL. ALLOW THE OPTION OF BUILDING A FORTRAN 5 COMPILER 
          THAT WILL TRAP INTEGER DIVIDE BY ZERO AT RUN TIME. WHEN 
          RELEASED THIS OPTION WILL BE TURNED OFF. THE PARAMETER THAT 
          CONTROLS THIS OPTION IS SET TO 0(ZERO). 
          SSK    85/10/15    OPTIONS,FTN5TXT,CMPLTXT,CCGTEXT,SKEL,QSKEL 
                             CSKEL
  
 FC5A491  PAR/CSM.  IF CONVERSION ERROR, BUMP ESTACK POINTER BEFORE 
          ADDING A ONE CONSTANT TO ESTACK.  CODE ASSUMES NO CONSTANT
          WAS ADDED TO ESTACK BECAUSE OF ILLEGAL OPERATOR/OPERAND.
          BMT    86/03/25    PAR
  
 FC5A495  FTN5TXT/OPTIONS.  THIS PSR MUST BE INSTALLED CONCURRENTLY WITH
          CCGA092 WHICH CONTAINS 990 INSTRUCTION TIMINGS FOR OPT=1,2,3
          DEPENDENCY=FC5A478
          SSK    86/04/15    OPTIONS, FTN5TXT 
  
 FC5A496  QSKEL/SKEL/PARSKEL,  CSKEL/SKEL/PARSKEL,  FSKEL/SKEL/PARSKEL. 
          INTRODUCE THE INTRINSIC FUNCTION *SUM1S* TO UTILIZE THE 
          POPULATION COUNT INSTRUCTION.  REQUIRES CONCURRENT
          INSTALLATION OF CCGA093.
          DEPENDENCY=FC5A227
          ASD/SSK 86/02/20   SKEL, PARSKEL, QSKEL, CSKEL, FSKEL 
  
 FC51322  PAR/SQZ.  IF CURRENT TURPLE IS INTEGER ADD OR SUB AND LAST
          TURPLE IN T.PAR IS INTEGER MULTIPLY THEN SUBSUME THE ADD OR 
          SUBTRACT TURPLE IF THE INTEGER MULTIPLY HAS NO INTERMEDIATE 
          OPERAND, HAS A CONSTANT AND THE ADD OR SUB TURPLE  HAS ONE
          OPERAND WHICH IS AN INTERMEDIATE POINTER TO THE MULTIPLY
          TURPLE AND THE OTHER OPERAND IS A DUPLICATE OF AN OPERAND 
          IN THE MULTIPLY TURPLE. 
          DEPENDENCY=FC50104,FC50199
          SSK    85/12/05    PAR
  
 FC51325  QSKEL/SKEL, CSKEL/SKEL.  REVISE 2 DOUBLE PRECISION RELATIONAL 
          OPERATOR SKELETONS TO CORRECTLY HANDLE LOGICAL COMPARISONS
          UP TO DOUBLE PRECISION LIMITS.  THE RELATIONAL *EQUAL* AND
          *NOT EQUAL* ARE THE REVISED SKELETONS.
          RRR/SSK 85/11/13   SKEL, QSKEL, CSKEL 
  
 FC51342  BRIDGE/P=BVD. PROCESS CURRENT SEQUENCE BEFORE START 
          OF VARDIM CODE. PREVENTS OUT OF ORDER CODE BLOCKS 
          IN SUBROUTINES WHERE THE RETURN STATEMENT IN NOT AT THE 
          END OF THE ROUTINE AND WHERE THERE ARE SEVERAL THREE
          BRANCH *IFS* WITH AT LEAST ONE OF THE *IFS* AT THE END OF 
          THE PROGRAM FOLLOWED BY THE END STATEMENT.
          SSK    86/11/21    BRIDGE 
  
 FC51344  CONRED/CCR.  ADDED CODE TO PREVENT THE ADDITION OF A DOUBLE 
          PRECISION ZERO TO A DOUBLE PRECISION NONZERO CONSTANT. THIS 
          CODE PREVENTS(AS IN THIS TEST CASE) 1.0DO AND +1.0D0 FROM 
          BEING STORED DIFFERENTLY. 
          SSK    86/02/17    CONRED 
  
 FC51347  PUC/CAF/ENDFTN, FEC/ESY, FERRS/E.STO.  DETECT SYMBOL TABLE
          OVERFLOW, ISSUE AN ERROR MESSAGE AND STOP COMPILATION.
          DEPENDENCY=FC5A404,FC5A335,FC5A436,FC50096
          SSK    85/10/22    PUC, FEC, FERRS
  
 FC51351  CSKEL/SKEL.  REVISE *CISST* SUBSKEL TO MASK OFF THE LCM BIT 
          FROM CURRENT APLIST ITEM AND PRESERVE THE LCM BIT FROM THE
          LIBRARY ROUTINES. 
          SSK    85/10/30    SKEL, CSKEL
  
 FC51356  FTN5TXT/WB., PAR/PAR.MULT, FERRS, KEY/GOTO, LABEL/ISL/FBS,
          IO/PKC.  AN ALTERNATE RETURN INTO RANGE OF *DO* HAS BEEN
          CHANGED FROM FATAL TO A WARNING MESSAGE.
          DEPENDENCY=FC5A300,FC5A168A,FC50015,FC5A371 
          SSK    86/02/03    COMSSYM, FTN5TXT, PAR, FERRS, KEY, LABEL,
                             IO 
 FC51364  LABEL/CDI, QSKEL/SKEL, CSKEL/SKEL, FSKEL/SKEL.  ADDED CODE
          TO LEAVE DO CONTROL INDEX AS EXPECTED(UPPER LIMIT PLUS
          INCREMENT) WHEN DO UPPER LIMIT IS SET TO ONE WITH A PARAMETER 
          STATEMENT.
          DEPENDENCY=FC50594,FC50015
          SSK    86/03/06    LABEL, SKEL, QSKEL, CSKEL, FSKEL 
  
 FC51377  DECL/HEREIF PARAMETER.  AVOID PROCESSING A PARAMETER CONSTANT 
          IF NOT AVAILABLE. 
          SSK    86/03/20    DECL 
  
 FC51379  BRIDGE/PAF.  ADDED CODE TO SET N.STMAX = MAX(N.ST, N.STMAX) 
          THIS CODE FIXES A TEST CASE WHERE AN ST.(TEMP STORE)
          CONFLICT OCCURED. 
          SSK    86/01/17    BRIDGE 
  
 FC51399  REG/LLA.  ADDED CODE NOT TO LOCK THE ADDRESS FUNCTION 
          REGISTER UNTIL THE BASE ADDRESS REGISTER IS SELECTED. 
          THE REGISTER MAY BE LOCKED AFTER THE BASE ADDRESS IS
          SELECTED. THE ABOVE CONCERNS LCM ONLY. THE RESULT IS
          REDUCED REGISTER SELECTION PRESSURE WHEN LCM IS INVOLVED. 
          SSK    86/05/02    REG
  
 FC51413  REG/LLA.  ADDED CODE TO IMPROVE METHOD OF SELECTING A LOADREG 
          WHEN BIAS IS MORE THEN 17 BITS AND SELECTING A SETREG WHEN
          BIAS IS LESS THEN 18 BITS.
          DEPENDENCY=FC50920
          SSK    86/06/04    REG
  
 FC51427  PAR/POP.PL.  AVOID RESETING T.PAR WHEN IN A STATEMENT 
          FUNCTION. ALLOWS INTERMEDIATE LINKAGE TO THE UNARY MINUS
          ARGUMENT WHEN NECESSARY.
          SSK    86/07/14    PAR
  
 *L688*    ************************************************ 
 FC5A511  LABEL/CDI, QSKEL/SKEL, CSKEL/SKEL, FSKEL/SKEL. TEST 
          CASE SUBMITTED CAUSES BAD CODE TO BE GENERATED WITH 
          OPT=1,2,3. CAUSED BY FC51364 WHICH DEALS WITH LEAVING 
          A *DO* CONTROL INDEX AS EXPECTED. IF YOUR SITE HAS PICKED 
          UP FC51300 FROM SOLVER, FC51300 MUST BE PURGED IF FC5A511 
          IS TO WORK PROPERLY. FC51300 WILL BE REOPENED AND ANSWERED
          AS A DUPLICATE OF FC5A511. IF YOUR SITE DOES NOT HAVE 
          FC51364 INSTALLED, THE SITE MUST OBTAIN FC51364 BEFORE
          INSTALLING FC5A511. 
          DEPENDENCY=FC51364
          SSK    87/02/03    SKEL, QSKEL, CSKEL, FSKEL, LABEL 
  
 FC50936  GEN/BOS.  CLEAR REGISTERS BEFORE EMITTING THE LINE NUMBER IF
          CYBER INTERACTIVE DEBUG IS ON.
          DEPENDENCY=FC5A337
          SSK    86/09/25    GEN
  
 FC51422  DECL/DIS.  CHECK THE VALIDITY OF THE DIMENSION SUBSCRIPT
          ENTRY OF AN ARRAY.  IF THE SUBSCRIPT ENTRY IS *)* THIS
          CAUSES *DIS* TO QUIT. 
          BMT    86/07/01    DECL 
  
 FC51454  BRIDGE/P=ENT.  CLEAR THE CLEN FIELD BEFORE ENTERING THE GL
          NUMBER. 
          SSK    86/10/22    BRIDGE 
  
 FC51485  FTN5TXT/ODEF/, LEX/TOGEL/, FEC/CHMAP/, FMT/FMT=/, PAR/CONO, 
          POPNX,SETPRI,PRIOP,MICRO/, QSKEL/DEFINS,SKEL/, CSKEL/SKEL/, 
          FSKEL/SKEL/.  THIS PSR ASSIGNS SEPARATE O. SYMBOL VALUES FOR
          FOR LOGICAL OPERATORS *.XOR.* AND *.NEQV.* AND WILL ALLOW 
          FTN5 TO INDICATE NON-ANSI USAGE OF .XOR. WHEN THE ANSI
          PARAMETER IS USED ON THE FORTRAN FIVE CONTROL STATEMENT.
          **NOTICE** A FULL COMPILER BUILD IS NECESSARY WHEN INSTALLING 
          THIS PSR. 
          DEPENDENCY=FC5A317,FC5A471
          SSK    87/04/02    FTN5TXT, LEX, FMT, FEC, PAR, QSKEL, FSKEL, 
                             CSKEL
  
 FC51499  LABEL/CDI.  FLAG INDICATING ONE TRIP *DO* NOT SET IN T.BLST.
          BROKEN BY FC51364. NOTE THAT IT IS NOT NECESSARY TO INSTALL 
          THIS PSR UNLESS YOUR SITE HAS BOTH FC51364 AND FC5A511
          INSTALLED.
          DEPENDENCY=FC50749,FC51364,FC5A511
          SSK    87/06/29    LABEL
  
 *L716*    ************************************************ 
 FC5A517  DECL/ASL.  SUBMITTED TEST CASE CAUSES THIS ROUTINE TO RUN 
          OUT OF THE SYMBOL TABLE AND INTO THE T.BLKS TABLE WHICH 
          CONTAINS COMMON BLOCK NAMES AND RESULTS IN A 7 CHARACTER
          COMMON BLOCK NAME BEING REDUCED TO 6 CHARACTERS.
          SSK    87/10/06    DECL 
  
 FC5A521  FTN5TXT/OPTIONS. ADD 994 AND 995 CPU IDENTS TO THE FORTRAN
          FIVE MODEL MICRO. 
          DEPENDENCY=FC5A478
          SSK    88/04/29    OPTIONS, FTN5TXT, CMPLTXT, CCGTEXT 
  
 FC51488  KEY/ENDIF/, LABEL/FBS/.  CORRECTIVE CODE PREVENTS A 
          MODE-OUT IF A *DO* TERMINAL IS AN *ENDIF* STATEMENT.
          PURGES=FC50853
          SSK    87/08/25    KEY, LABEL 
  
 FC51490  KEY/ENDIF/, KEY/ELSE/, LABEL/RBE/.  CORRECTIVE CODE FOR A TEST
          WITH NO TERMINATING DO STATEMENT. THE DO CONTAINS IF ... THEN 
          AND ELSE STATEMENTS, INPUT/OUTPUT STATEMENTS AND STATEMENTS 
          WHICH REDEFINE A DO CONTROL INDEX.
          DEPENDENCY=FC5A111
          SSK    87/09/21    KEY, LABEL 
  
 FC51494  PAR/SQZ.  IF SUBSUMING AN V=SUB.T TURPLE INCLUDE THE SIGN.
          DEPENDENCY=FC51322
          SSK    87/05/21    PAR
  
 FC51497  FMT/HERE ON *(*, HERE ON *)*.  CODE PREVENTS AN ERROR MESSAGE 
          FOR FORMAT STATEMENTS CONTAINING RECORD LENGTHS THAT DO NOT 
          EXCEED 137 COLUMNS AND PUTS OUT THE ERROR MESSAGE FOR FORMAT
          STATEMENTS WITH RECORD LENGTHS THAT EXCEED 137 COLUMNS. THIS
          PROBLEM OCCURS IN A SMALL NUMBER OF TEST CASES. 
          DEPENDENCY=FC50800
          SSK    87/05/28    FMT
  
 FC51501  FTN5TXT, KEY/IFT. CODE ADDED TO INSURE BLOCK *IF* SEGMENTS
          OF THE T.BLST TABLE HAVE AN ENTRY CLEARED TO ZERO FOR PROPER
          IDENTIFICATION IN CASE IT IS NECESSARY TO DELETE THIS SEGMENT 
          BECAUSE OF PROGRAMMER ERRORS. 
          SSK    87/07/17    FTN5TXT, KEY 
  
 FC51509  REG/LLA.  ADDED CODE TO LOCK THE UEM BASE REGISTER WHEN 
          THE CURRENT VARIABLE IS LEVEL 0 AND A LOAD
          DEPENDENCY=FC51399
          SSK    88/04/26    REG
  
 FC51512  FEC/RSC. WHEN RESETING INTRA-STATEMENT CELLS, RESET T=SCR.
          TEST CASE HAD A MISSING COMMA IN A DATA STATEMENT RESULTING 
          IN A MODE OUT DURING *DO* PROCESSING BECAUSE THIS TABLE WAS 
          NOT EMPTY AS EXPECTED.
          SSK    87/09/23    FEC
  
 FC51521  PAR/POP.EQL.  IN PAR(POP.EQL), IF THE LEFT SIDE OF A
          REPLACEMENT STATEMENT IS ILLEGAL, PUT OUT THE ERROR MESSAGE 
          AND LEAVE.
          SSK    87/10/07    PAR
  
 FC51544  BRIDGE, CSKEL/SKEL, FSKEL/SKEL. ADDED CODE IN BRIDGE TO 
          SELECT PROPER SKELETON IF ARG=COMMON IS ON. IN CSKEL AND
          FSKEL ADDED TWO SKELETONS TO HANDLE APLIST PLUGS IF 
          ARG=COMMON IS ON. 
          SSK    88/03/23    BRIDGE, SKEL, CSKEL, FSKEL 
  
 *L739*    ************************************************ 
 FC5A522  DECL/CCL.  MASK OFF THE CB.FMI FIELD IN T.BLKS, TO AVOID
          POSSIBLE SIGN EXTENSION, DUE TO A LARGE NUMBER OF VARIABLES 
          IN UEM. 
          SSK    88/08/12    DECL 
  
 FC51315  RLINK/SMB.  FOR ALL NAMELIST MEMBERS THAT HAVE THE (MAT,DEF,
          EQV,VAR) CLASS BITS SET, CHECK/SET THE *MAT* BIT OF THE 
          EQUIVALENCE CLASS BASE MEMBER.
          SSK    88/05/19    RLINK
  
 FC51554  FEC/FEC3, DECL/PCD.  ADDED CORRECTIVE CODE TO SET THE WA.NFP
          BIT ONLY WHEN EXECUTABLES ARE ENCOUNTERED.
          DEPENDENCY=FC5A192,FC5A128
          SSK    88/08/08    DECL, FEC
  
 FC51555  REG/LLB.  IF REGISTER JUST SELECTED FOR UEM BASE LOAD 
          INTERFERS WITH UEM READ, TRANSFER UEM RESULT TO X6 ONLY IF
          BOTH X6 AND X7 ARE FREE.
          SSK    88/07/14    REG
  
 FC51560  REG/LLA. CORRECTIVE CODE LOCKS THE *RI* OF LONG ADDS IN THIS
          ROUTINE(LLA) IF A BIAS REGISTER IS TO BE SELECTED.
          SSK    88/08/01    REG
  
 FC51564  LABEL/ISL. CORRECTIVE CODE ADDS THE LINE NUMBER OF THE FIRST
          REFERENCE OF AN ASSIGNED STATEMENT NUMBER TO THE WB. WORD 
          IN THE SYMBOL TABLE.
          DEPENDENCY=FC51356
          SSK    88/07/29    LABEL
  
 FC51566  FUN/FVS, BRIDGE/FVS. FVSB AND FVSF CONTAIN SUBSTRING LENGTHS
          OR MAY CONTAIN AN I.L. OPERAND USED AS A FLAG. AFTER FLAG 
          USAGE THE LOCATIONS ARE ZEROED TO AVOID USING FOR SUBSTRING 
          LENGTH. 
          DEPENDENCY=FC50651
          SSK    88/08/26    FUN, BRIDGE
  
 FC51569  KEY/FIB.  ADDED CODE TO INSURE GENERATED CODE IS IN CORRECT 
          SEQUENCE WHEN DB=0/ID IS USED AND *ELSE IF* BLOCKS ARE IN 
          USE.
          DEPENDENCY=FC5A127
          SSK    89/03/28    KEY
  
 FC51572  REG/SLD.  WHEN CHECKING FOR REGISTER CONFLICTS AND UEM IS 
          INVOLVED USE X REGISTERS. 
          SSK    88/12/02    REG
  
 FC51601  REG/LLA.  REVISE CODE FOR COMPUTING AN LCM ADDRESS. 
          DEPENDENCY=FC50920,FC50875,FC51560
          SSK    89/06/07    REG
  
 *L780*    ************************************************ 
 FC51609  PAR/SQZ.  IF INTEGER MULTPLY TURPLE FOLLOWED BY AN INTEGER
          ADD THEN TRY TO SUBSUME THE ADD. IF INTEGER MULTPLY TURPLE
          FOLLOWED BY A SUBTRACT DO NOTHING. THIS PSR ONLY FIXES
          PROBLEMS AT OPT=1,2,3.
          DEPENDENCY=FC51322,FC51494
          SSK    89/12/01    PAR
  
 *L797*    ************************************************ 
 *L803*    ************************************************ 
 *L826*    ************************************************ 
 *L840*    ************************************************ 
 *L847*    ************************************************ 
 *L851*    ************************************************ 
 *L859*    ************************************************ 
 *L871*    ************************************************ 
  
  
